<?php 

include_once('../includes/html_head.php');
include_once('../includes/header.php');
include_once('../includes/ad_banner.php');
include('../services/curl_service.php');
include('../services/config_service.php');
require_once("../classes/interswitch_class.php");


$data = CurlService::make_get(ConfigService::endpoint()."nested_category&flag=payment", ConfigService::get_header());

$data = json_decode($data, true);
$data_cat = $data['data'][0]['child_menu'];

 $data_category = " ";
 $options = "";
 $contents = "";
 $num = 0;
 $products = " ";
 $category_array = array();
foreach ($data_cat as $ddata) {
    array_push($category_array, array("cat_id"=>$ddata['id'], "cat_name"=>$ddata['name'], "cat_products"=>$ddata['category']));
    $products = " ";

    foreach($ddata['category'] as $productss){
        $products .= '
                            <div class="col-lg-3 col-xl-2 col-md-4 my-3">
                                <div class="single_product"><a href="bils_single.php?id='.$productss['id'].'">
                                    <div><img src="'.$productss['image'].'" alt="" srcset="" width="180" height="120"></div>
                                
                                <p class="ms-1 my-2 text-black"><strong>'.$productss['name'].'</strong></p>
                                </div></a>
                            </div>
                    ';
    }
    $is_active = ($num == 0 ) ? 'show active' : '';
    $options .= '<option value="'.$num.'">'.ucwords($ddata['name']).'</option>';          

    $data_category .= '<button class="nav-link '.$is_active.'" id="category_'.$ddata['id'].'_tab" data-bs-toggle="pill" data-bs-target="#category_'.$ddata['id'].'" type="button" role="tab" aria-controls="category_'.$ddata['id'].'" >'.ucwords($ddata['name']).'</button>';
    $contents .='<div class="tab-pane '.$is_active.' fade" id="category_'.$ddata['id'].'" role="tabpanel" aria-labelledby="category_'.$ddata['id'].'_tab" tabindex="0">
                <h4 class="mx-lg-5 my-2">'.ucwords($ddata['name']).'</h4>
                <div class="row">'. $products .
               
                  '</div>
            </div>';
    $num++;

}



?>
<style>

    .nav-pills .nav-link {
        padding: 10px 20px;
        border-radius: 20px;
        color: #222222;

    }

    .nav-pills .nav-link.active, .nav-pills .show>.nav-link {
        color: white;
        background: #030303;
        border: 1px solid #656565;
    }

    .bills-main .tab-content{
        margin-left: 100px;
    }

</style>

<div class="bills-banner">
    <h2>Stay Connected</h2>
</div>

<div class="bills-main">
    <div class="bills-main-desktop">
        <div class="d-flex align-items-start">
            <div class="nav flex-column nav-pills me-3" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                <?php echo $data_category ; ?>
            
            </div>
            <div class="tab-content w-100" id="v-pills-tabContent">
                <?php echo $contents ; ?>         
            </div>
        </div>
    </div>
    <div class="px-3 bills-main-mobile">
        <div class="mx-2 my-3">
            <select class="form-select w-100" name="" id="cat_option">
                <?php echo $options ; ?>
            </select>
        </div>
        <div>
            <h5 id="cat_name"></h5>
            <div class="row" id="cat_products">
                
            </div>
        </div>
    </div>
    
</div>

<script>
  var data = <? echo json_encode($data_cat); ?>;
    
    function getProducts(category_id){
       var name = data[category_id].name;
       var category = data[category_id].category;
       var product = "";
       for(var x = 0; x < category.length; x++){
           product_name = category[x].name;
           product_img = category[x].image;
           product_id = category[x].id;
           product += `<div class="col-md-4 col-6 my-3">
                                <div class="single_product"><a href="bils_single.php?id=`+product_id+`">
                                    <div><img src="`+product_img+`" alt="" srcset="" width="150" height="100"></div>
                                
                                <p class="ms-1 my-2 text-black product-name"><strong>`+product_name+`</strong></p>
                                </div></a>
                            </div>`;
       }
       $('#cat_name').html(name);
       $('#cat_products').html(product)
    
    }


$(document).ready(function(){
    getProducts(0);
   
    $('#cat_option').change(()=>{
        var num = $('#cat_option').val()
        getProducts(num);
    });
});


</script>

<?php 
    include_once('../includes/footer.php');
?>
