
 <!-- ############  html_head and header file here  ##################### -->
 <?php include('../includes/html_head.php');?>
 <?php include('../includes/header.php');?>


 <script src="https://cdn.tailwindcss.com"></script>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        clifford: '#da373d',
                    },
                    lineHeight: {
                        'links': '120%',
                    }
                }
            }
        }
    </script>
    <div class="">
        <!-- AD Banner -->
        <div id="banner">
            <h3 class="text-white py-14 font-extrabold text-xl">Ad Banner</h3>
        </div>

        <!-- header nav -->
        <nav id="nav" class="ml-[120px]">
            <ul class="flex">
                <li class="flex items-center">
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Home
                        <img class="pl-2 w-[22px]" src="../assets/icons/chevron-right.svg" alt="navigation">
                    </a>
                </li>
                <li>
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Experiences
                        <img class="pl-2 w-[22px]" src="../assets/icons/chevron-right.svg" alt="navigation">
                    </a>
                </li>
                <li>
                    <a class="text-black py-4 pl-3 leading-links flex items-center font-semibold text-center text-sm"
                        href="">
                        Events </a>
                </li>
            </ul>
        </nav>

        <!-- Hero -->
        <div id="hero_banner" class="py-44 bg-no-repeat">
            <h3 class="text-white">stay connected</h3>
        </div>

        <!-- lifestyle -->
        <div class="flex mt-32">
            <div class="ml-44 w-1/3">
                <ul>
                    <li class="my-8"><a
                            class="bg-black text-white rounded-[20px] py-3 px-5 no-underline focus:bg-black active:bg-black"
                            href="">Airtime & Data</a>
                    </li>
                    <li class="my-8"><a class=" px-5 py-3  no-underline focus:bg-black active:bg-black" href="#">Cable
                            Tv</a></li>
                    <li class="my-8"><a class="px-5 py-3 no-underline focus:bg-black active:bg-black"
                            href="">Electricity</a></li>
                    <li class="my-8"><a class="px-5 py-3 no-underline focus:bg-black active:bg-black" href="#">Internet
                            Services</a></li>
                    <li class="my-8"><a class=" px-5 py-3 no-underline focus:bg-black active:bg-black" href="#">Games</a>
                    </li>
                </ul>
            </div>
            <div class="mr-44 w-2/3">
                <div class="">
                    <h3>Airtime & Data</h3>
                    <div class="flex gap-3 my-12">
                        <a href="#">
                        <img src="../images/airtel.png" alt="Airtel">
                            <p>Airtel</p>
                        </a>
                        <a href="#">
                            <img src="../images/glo.png" alt="glo">
                            <p>Glo</p>
                        </a>
                        <a href="#">
                            <img src="../images/mtn.png" alt="Mtn">
                            <p>Mtn</p>
                        </a>
                        <a href="#">
                            <img src="../images/9mobile.png" alt="9mobile">
                            <p>9mobile</p>
                        </a>
                    </div>
                </div>
                <!-- Cable Tv -->
                <div class="">
                    <h3>Cable Tv</h3>
                    <div class="flex flex-wrap gap-3 my-12">
                        <a class="w-[139px]" href="#">
                            <img src="../images/dstv.png" alt="Dstv">
                            <p>Dstv</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/kwese.png" alt="Kwese">
                            <p>Kwese</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/star time.png" alt="startimes">
                            <p>Startimes</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/gotv.png" alt="gotv">
                            <p>Gotv</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/dstv.png" alt="Dstv">
                            <p>Dstv</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/kwese.png" alt="Kwese">
                            <p>Kwese</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/star time.png" alt="startimes">
                            <p>Startimes</p>
                        </a>
                        <a class="w-[139px]" href="#">
                            <img src="../images/gotv.png" alt="gotv">
                            <p>Gotv</p>
                        </a>
                    </div>
                </div>
                <div class="">
                    <h3>Electricity</h3>
                    <div class="flex gap-3 my-12">
                        <a href="#">
                            <img src="../images/airtel.png" alt="Airtel">
                            <p>Airtel</p>
                        </a>
                        <a href="#">
                            <img src="../images/glo.png" alt="glo">
                            <p>Glo</p>
                        </a>
                        <a href="#">
                            <img src="../images/mtn.png" alt="Mtn">
                            <p>Mtn</p>
                        </a>
                        <a href="#">
                            <img src="../images/9mobile.png" alt="9mobile">
                            <p>9mobile</p>
                        </a>
                    </div>
                </div>


            </div>
        </div>
    </div>



<?php include('../includes/footer.php');?>