<?php 

include_once('../includes/html_head.php');
include_once('../includes/header.php');
include_once('../includes/ad_banner.php');
include('../services/curl_service.php');
include('../services/config_service.php');
require_once("../classes/interswitch_class.php");

// $pointsValue = CurlService::pointsValueDefinition($loyaltyprogid, $companyid, $conn);
// $pointsValue = CurlService::pointsValueDefinition(2, 2, $conn);

           
$id = $_GET['id'];
$data = CurlService::make_get("https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=get_products&category_id=$id", ConfigService::get_header());

$products = json_decode($data,true);
$cat_text = $products['data'][0]['customer_id_text'];

// $signature = $products['data'][0]['signature'];
// print_r($products);
// echo "<hr>";
// echo json_encode($products);

$options = ''; $num = 0;
foreach($products['data'] as $single_product){
    $options .= "<option value='$num'> ". $single_product['product_name']. " - " .$single_product['price']." Coins </option>";
    $num++ ;
}


?>

<style>
    .bills-single hr{
        border: 0.3px solid lightgray;
    }
    .bills-single input, .bills-single select {
        height: 60px;
        font-size: 20px !important;
    }
</style>

<div class="bills-single">
    <div class="row">
        <div class="col-lg-4 col-md-4 col-sm-12">
            <div class="mx-3 my-3"><img id="bills-single-img" class="img-fluid" src="<?=$products['image']?>" alt="" width="300" height="150"></div>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-12">
            <div class="mx-3 my-3 bg-white w-lg-75 p-4 "> 
                <h4><?=ucwords($products['category']);?></h4>
                
                    <div class="my-3">
                        <label class="my-1"><?= $cat_text ?></label>
                        <div><input type="tel" required class="form-control" minlength="6" maxlength="17" placeholder="Enter <?= $cat_text ?>" id="device_no" ></div>
                    </div>
                    <div class="text-center my-5"><button class="btn btn-warning shu" id='validate'>Validate</button></div>
                    
                    <div id="details_block">
                        <div class="my-2" style="">
                            <label class="my-1">Customer Name</label>
                            <div><input type="text" disabled class="form-control" id="customer_name" value="" readonly></div>
                        </div>
                        

                        <div class="my-3">
                            <label class="my-1">Choose a package/Value</label>
                                <div><select required name="" class="form-select"  id="select_package">
                                    <option value="" selected>Choose Value</option>
                                    <?=$options?>
                                    </select>
                                </div>                    
                        </div>


                        <hr class="my-4">
                        <h4 class="my-3">Receipient</h4>
                        <div class="my-3">
                            <label class="my-1">Email Address</label>
                            <div><input type="email" required class="form-control" placeholder="Enter Email Address of Receipient" id="rcpt_email" ></div>
                        </div>
                        <div class="my-3">
                            <label class="my-1">Phone Number</label>
                            <div><input type="tel" required class="form-control" maxlength="11" minlength="11" placeholder="Enter Phone Number of Receipient" id="rcpt_phone" ></div>
                        </div>
                        <div class="total">
                            
                        </div>

                        <div class="my-5 text-center">
                            <button class="btn btn-warning shu" id="btn_process">Process Order</button>
                        </div>
                    </div>
                    <div class="loader_gif text-center">
                        <img src="../assets/loading2.gif" alt="" srcset="" widthb="230" heightb="100">
                    </div>

            </div>
        </div>
    </div>
</div> 

<script>

    $.fn.isValid = function(){
        return this[0].checkValidity()
    }
    $.fn.validationMessage = function(){
        return this[0].validationMessage;
    }


    var products = <?=json_encode($products['data'] ); ?>;
    var signature = products[0].signature;
    var category = "<?=ucwords($products['category']);?>" ;
    var productimage = "<?=$products['image']?>";
    var device_no, price, packagename, email, phone_no, customerfield ;
    // signature: signature,
    //                 price: price,
    //                 email: email,
    //                 phone_no: phone_no,
    //                 customer_id: customer_id,
    //                 packagename: packagename,
    //                 customerfield: customerfield
    
    $("#details_block").hide();
    $(".loader_gif").hide();
    
    function isNumber(evt) {
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;

        console.log('clicked')
    }
    function getProduct(category_id){

        if(category_id != ''){
            productname = products[category_id].product_name;
            signature = products[category_id].signature;
            price = products[category_id].price;
            customerfield = products[category_id].customer_id_text;

            $('.total').html('<hr><h4 class="py-2 font-weight-bolder clearfix"><p class="pull-left">Total</p><p class="pull-right">'+price+' Coins</p></h4><hr>');
            // $('#total').show(700, ()=>{alert('ccc');$('#total').html('<p class="pull-left">Total</p><p class="pull-right">'+price+' Coins</p>')});

            // alert(name);
        }else{
            $('.total').html('');
        }
        
    }

    $("input, select").keydown(()=>{
        $("input, select").css('border-color', 'unset')
    })
    $("#device_no, #rcpt_phone").keypress(()=>{
        return isNumber(event);
    })
    
    $('.bills-single').on('change','#select_package', function(){
        console.log($(this).val());
        getProduct($(this).val());
    })

    $("#validate").click(()=>{
        if($('#device_no').isValid()){
            $("#validate").hide();  
            $(".loader_gif").show();
            var device_no = $('#device_no').val();
            console.log('validae clicekd - '+ device_no );

            $.ajax({
                type: 'POST',
                url: "../services/api_validate_code.php",
                data: {signature: signature, customer_id: device_no},

            })
            .done((res)=>{
                    // console.log("response = > "+ JSON.stringify(response));
                    var response = JSON.parse(res);
                    console.log("response = > "+ (res));
                    if (!response) {
                        Swal.fire({icon: 'error',title: 'Warning!',text: "Failed to complete payment."});
                        console.log("Failed to complete payment.");
                        return false;
                    }
                    if (response.status == '400') {
                        Swal.fire({icon: 'error',title: 'Warning!',text: response.data});
                        console.log('400',response.data)
                        // swal("",response.data, "error");

                        return false;
                    }
                    if (response.status == 'fail') {
                        Swal.fire({icon: 'error',title: 'Warning!',text: response.data});
                        console.log('fail',response.data)
                        // location.reload();
                        return false;
                    }
                    if (response.status == '200') {
                        console.log('200',response.data)
                        // Swal.fire({icon: 'error',title: 'Warning!',text: response.data});
                        // alert(response.data);
                        $(".loader_gif").hide();
                        $('#device_no').attr('disabled', true);
                        $("#details_block").show();
                        if(response.data.name == '' || response.data.name == ' ' || response.data.name == null){
                            $("#customer_name").hide();

                        }else{
                            $("#customer_name").val(response.data.name);
                        }


                    }
            })
            .fail((xhr, textStatus, errorThrown)=>{
                console.log(xhr, textStatus, errorThrown)
                alert('ajax failed request');
            })
        }else{
            Swal.fire({icon: 'error',title: 'Warning!',text: $('#device_no').validationMessage()});
            return false;
        }
                
    })

    $("#btn_process").click(()=>{
        if(!$("#select_package").isValid()){
            Swal.fire({icon: 'error',title: 'Warning!',text: $('#select_package').validationMessage()});
            $("#select_package").css('border-color', 'red')
            return false;
        }
        if(!$("#rcpt_email").isValid()){
            Swal.fire({icon: 'error',title: 'Warning!',text: $('#rcpt_email').validationMessage()});
            $("#rcpt_email").css('border-color', 'red')
            return false;
        }
        if(!$("#rcpt_phone").isValid()){
            Swal.fire({icon: 'error',title: 'Warning!',text: $('#rcpt_phone').validationMessage()});
            $("#rcpt_phone").css('border-color', 'red')
            return false;        
        }

        email = $("#rcpt_email").val();
        phone_no = $("#rcpt_phone").val();
        packagename = category + " - " + productname;

        $("#btn_process").hide();  
        $(".loader_gif").show();
        var transactionDetails = {
                    customer_id: device_no,
                    price: price,
                    redeem_points: price,
                    email: email,
                    phone_no: phone_no,
                    packagename: packagename,
                    productimage: productimage,
                    signature: signature
            }
        console.log('transactiondetails -> '+JSON.stringify(transactionDetails), 'productcategory-> ' +category, 'productName -> '+productname)

        $.ajax({
            type: 'POST',
            url: "../services/redeem_api.php",
            data: {
                signature: signature, 
                customer_id: device_no,
                price: price,
                email: email,
                phone_no: phone_no,
                packagename: packagename,
                customerfield: customerfield
            }

        })
        .done((res)=>{
            res = JSON.parse(res)
            console.log('new:', res )
            
            if (res.length < 1) {
                Swal.fire({icon: 'error',title:'Failed',text: "Failed to complete payment."});
                return false;
            }
            if (res.status == '400') {
                Swal.fire({icon: 'error',text:res.data});
                return false;
            }
            if (res.status == 'fail') {
                Swal.fire({icon: 'error',text:res.data});
                return false;
            }
            if (res.status == '200') {
                
                Swal.fire({icon: 'success',title: 'Success',text: res.message});
                setTimeout(function(){
                    // window.location='bills.php'
                }, 2000)
                
            }
        })
        .fail((response, status, error)=>{
            if (response.status == 500) {
                console.log('response-> ',response, status, error)
                Swal.fire({icon: 'error',text:'An Error Occurred. Please try again'});
                
            }
            else {
                console.log(response);
                Swal.fire({icon: 'info',text:response.responseJSON.data});
            }
                    
        })
        var device_no, price, packagename, email, phone_no, customerfield ;
    // signature: signature,
    //                 price: price,
    //                 email: email,
    //                 phone_no: phone_no,
    //                 customer_id: customer_id,
    //                 packagename: packagename,
    //                 customerfield: customerfield
    })
    
</script>

<?php 
    include_once('../includes/footer.php');
?>
