<?php 

include_once('../includes/html_head.php');
include_once('../includes/header.php');
include_once('../includes/ad_banner.php');
include('../services/curl_service.php');
include('../services/config_service.php');
require_once("../classes/interswitch_class.php");

// $pointsValue = CurlService::pointsValueDefinition($loyaltyprogid, $companyid, $conn);
// $pointsValue = CurlService::pointsValueDefinition(2, 2, $conn);

           
$id = $_GET['id'];
$data = CurlService::make_get("https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=get_products&category_id=$id", ConfigService::get_header());
$products = json_decode($data, true);
$cat_text = $products['data'][0]['customer_id_text'] ;

// print_r($products);
// echo "<hr>";
// echo json_encode($products);
$options = ''; $num = 0;
foreach($products['data'] as $single_product){
    $options .= "<option value='$num'> ". $single_product['product_name']. " - " .$single_product['price']." Cowries </option>";
    $num++ ;
}


?>

<style>
    hr{
        border: 0.3px solid lightgray;
    }
</style>

<div class="bills-single">
    <div class="row">
        <div class="col-lg-4 col-md-4 col-sm-12">
            <div class="mx-3 my-3"><img id="bills-single-img" class="img-fluid" src="<?=$products['image']?>" alt="" width="300" height="150"></div>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-12">
            <div class="mx-3 my-3 bg-white w-lg-75 p-4 "> 
                <h4><?=ucwords($products['category']);?></h4>
                <div class="my-3">
                    <label class="my-1">Choose a package/Value</label>
                        <div><select name="" class="form-select"  id="select_package">
                            <option value="" selected>Choose Value</option>
                            <?=$options?>
                            </select>
                        </div>                    
                </div>
                <div class="my-3">
                    <label class="my-1"><?= $cat_text ?></label>
                    <div><input type="tel" class="form-control" placeholder="Enter <?= $cat_text ?>" id="device_no" ></div>
                </div>
                <hr class="my-2">
                <h4 class="my-2">Receipient</h4>
                <div class="my-3">
                    <label class="my-1">Email Address</label>
                    <div><input type="tel" class="form-control" placeholder="Enter Email Address of Receipient" id="rcpt_email" ></div>
                </div>
                <div class="my-3">
                    <label class="my-1">Phone Number</label>
                    <div><input type="tel" class="form-control" placeholder="Enter Phone Number of Receipient" id="rcpt_phone" ></div>
                </div>
                <div class="total">
                    
                </div>

                <div class="my-5 text-center">
                    <button class="btn btn-success px-5 py-2" id="btn_process">Process Order</button>
                </div>

            </div>
        </div>
    </div>
</div>

<script>
    var products = <?=json_encode($products['data'] ); ?>;

    function isNumber(evt) {
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;

        console.log('clicked')
    }

    function getProduct(category_id){

        if(category_id != ''){
            var name = products[category_id].product_name;
            var desc = products[category_id].description;
            var sign = products[category_id].signature;
            var price = products[category_id].price;

            $('.total').html('<hr><h4 class="py-2 font-weight-bolder clearfix"><p class="pull-left">Total</p><p class="pull-right">'+price+' Cowries</p></h4><hr>');
            // $('#total').show(700, ()=>{alert('ccc');$('#total').html('<p class="pull-left">Total</p><p class="pull-right">'+price+' Cowries</p>')});

            // alert(name);
        }else{
            $('#total').html('');
        }
        
    }

    $("#device_no").keypress(()=>{
        return isNumber(event);
    })
    $('.bills-single').on('change','#select_package', function(){
        console.log($(this).val());
        getProduct($(this).val());
    })
    
</script>

<?php 
    include_once('../includes/footer.php');
?>
