<?php
ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL);
// echo "say something na"; 
include_once "connect.php";
include_once "lsl_db.php";
// print_r($conn);

class Action{

    public $connect;
    public $rimsConn;

    public function __construct()
    {
        $this->connect = $GLOBALS['conn'];
        // $this->rimsConn = $GLOBALS['RIMS_connect'];
    }

    public function getBranchLocation($branch_code){
        $sql = "select Branch_name, Address, State_id, City_id from lsl_branch_master where Branch_code = '$branch_code'";
        $result = $this->connect->query($sql);
        if($result->num_rows){
            $row = $result->fetch_assoc();
            $location = $row['Branch_name']. ', '. $row['Address']. ', '. $this->getCityName($row['City_id']). ', '. $this->getStateName($row['State_id']);
            return $location;
        }else{
            $location = " ";
            return $location;
        }
    }

    public function fetchAllStates(){
        $sql = "select State_id, State_name from lsl_state_master order by State_name asc";
        $str = " ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $str .= "<option value=''>Select State</option>";
            while($row = $result->fetch_assoc() ){
                $str .= "<option value='".$row['State_id']."'>".$row['State_name']."</option>";
            }
            return $str;
        }
    }

    public function getStateName($state_id){
        $sql = "select State_name from lsl_state_master where State_id = $state_id";
        $str = " ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $row = $result->fetch_assoc() ;
            return $row['State_name'] ;
        }
    }
    
    
    public function createNotification($email,$member_id,$subject,$content,$plain_content)
    {
        $date = date("Y-m-d",time());
        $sql = "insert into lsl_user_notification_master (User_email_id,Company_id,Membership_id,Notification_type,Contents,Plain_contents,Subject,Reference_no,Create_user_id,Note_open,Note_sent,Creation_date,Disable_flag)
         VALUES('".$email."',3,'".$member_id."',1,'".$content."','".$plain_content."','".$subject."',0,11,0,0,'".$date."',0)";
           $result = $this->connect->query($sql);
        //   if($result){
        //       echo "Notification successful";
        //   }else{
        //       echo "Notification failed ". mysqli_error($this->connect);
        //   }
           
    }
    
    
    public function getTemplate($template_id){
        $sql = "select * from cinema_template where id = $template_id and status = 1 limit 1";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $row = $result->fetch_assoc() ;
            return $row;
        }
    }
    
    
    public function getCartCount($enrol_id){
        $sql = "select Temp_cart_id from lsl_temp_cart where Enrollment_id = $enrol_id and type = 1";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            return $result->num_rows;
        }else{
            return $result->num_rows ;
        }
    }
    
    public function custNotificationCount($member_id){
        $sql = "select User_notification_id from lsl_user_notification_master where Membership_id = $member_id and Note_open = 0 and Company_id = 3";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            return $result->num_rows;
        }else{
            return $result->num_rows ;
        }
    }
    
    public function wishListCount($enrol_id){
        $sql = "select Temp_cart_id from lsl_temp_cart where Enrollment_id = $enrol_id and type = 2";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            return $result->num_rows;
        }else{
            return $result->num_rows ;
        }
    }
    
    public function getCustomerDeliveryAddresses($enroll_id){
        $sql = "select * from lsl_delivery_addresses where enrollment_id = '$enroll_id' and main = 0";
        $result = $this->connect->query($sql);
        $order_array = array();
        if($result->num_rows > 0){
             while($row = $result->fetch_assoc() ){
                $res = array(
                    'id'=> $row['id'],
                    'first_name'=> $row['first_name'],
                    'last_name'=> $row['last_name'],
                    'email_address'=> $row['email_address'],
                    'phone_no'=> $row['phone_no'],
                    'main'=> $row['main'],
                    'city_id'=> $row['city_id'],
                    'state_id'=> $row['state_id'],
                    'address'=> $row['full_address'],
                    'enrollment_id' => $row['enrollment_id']
                );
                array_push($order_array, $res);
            }
            return $order_array;
        }else{
            return "No Address Found";
        }
    }
    
    public function getCustomerDefaultDeliveryAddresses($enroll_id){
        $sql = "select * from lsl_delivery_addresses where enrollment_id = $enroll_id and main = 1 limit 1";
        $result = $this->connect->query($sql);
        $order_array = array();
        if($result->num_rows > 0){
             while($row = $result->fetch_assoc() ){
                $res = array(
                    'id'=> $row['id'],
                    'first_name'=> $row['first_name'],
                    'last_name'=> $row['last_name'],
                    'email_address'=> $row['email_address'],
                    'phone_no'=> $row['phone_no'],
                    'main'=> $row['main'],
                    'city_id'=> $row['city_id'],
                    'state_id'=> $row['state_id'],
                    'address'=> $row['full_address'],
                    'enrollment_id' => $row['enrollment_id']
                );
                array_push($order_array, $res);
            }
            return $order_array;
        }else{
            return "No Address Found";
        }
    }
    
    public function getSingleDeliveryAddress($address_id){
        $sql = "select * from lsl_delivery_addresses where id = $address_id";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $row = mysqli_fetch_assoc($result); 
            return $row;
        }else{
            return $result->num_rows;
        }
    }

    public function fetchCitiesByState($state_id){
        $sql = "select City_id, City_name from lsl_city_master where State_id = $state_id";
        $str = " ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            while($row = $result->fetch_assoc() ){
                $str .= "<option value='".$row['City_id']."'>".$row['City_name']."</option>";
            }
            return $str;
        }
    }

    public function getCityName($city_id){
        $sql = "select City_name from lsl_city_master where City_id = $city_id";
        $str = " ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $row = $result->fetch_assoc() ;
            return $row['City_name'] ;
        }
        
    }
    
    public function getItemDetails($itemcode){
       $sql = " select * from lsl_company_merchandise_catalogue where Merchandize_item_code = '$itemcode' limit 1";
       $result = $this->connect->query($sql);
        if($result->num_rows > 0){

            return $result->fetch_assoc() ; 
        }
        else{
            return 'no item details';
        }
    }

    public function fetchOrderItem($orderno){
           
        // $sql = "SELECT i.Merchandize_item_name, t.Branch_code, i.Item_image,t.Voucher_status,t.Order_status, t.Order_no, t.Transaction_date, t.Redeem_points, t.Quantity, t.Redeem_amount, t.Voucher_no, t.Delivery_method, t.Field_4_name, t.Field_5_name, t.Remarks, t.Company_id   
        // FROM `lsl_transaction` as t LEFT JOIN lsl_company_merchandise_catalogue as i on t.Item_code = i.Merchandize_item_code  
        // WHERE Order_no = $orderno AND t.Company_id = $company_id AND i.Loyalty_program_id = $loyalty_program_id GROUP by i.Merchandize_item_code order by t.Transaction_id desc ";
        $sql = "SELECT  t.Item_code, t.Branch_code, t.Voucher_status,t.Order_status, t.Order_no, t.Transaction_date, t.Redeem_points, t.Quantity, t.Redeem_amount, t.Voucher_no, t.Delivery_method, t.Field_4_name, t.Field_5_name, t.Remarks, t.Company_id   
        FROM `lsl_transaction` as t WHERE Order_no = $orderno   order by t.Transaction_id desc ";
        $str = " ";
        $order_array = array();
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            while($row = $result->fetch_assoc() ){
                $item = $this->getItemDetails($row['Item_code']);

                $arr = array(
                    // 'item_name'=> $row['Merchandize_item_name'],
                    'item_name'=> $item['Merchandize_item_name'],
                    // 'item_image'=> $row['Item_image'],
                    'item_image'=> $item['Item_image'],
                    'order_no'=> $row['Order_no'],
                    'voucher_no'=> $row['Voucher_no'],
                    'date'=> $row['Transaction_date'],
                    'redeem_points'=> $row['Redeem_points'],
                    'quantity'=> $row['Quantity'],
                    'delivery_method'=> $row['Delivery_method'],
                    'contact_details'=> $row['Field_5_name'],
                    'shipping_address' => $row['Field_4_name'],
                    'remarks'=> $row['Remarks'],
                    'branch_code'=> $row['Branch_code'],
                    'order_status' => $row['Order_status']

                );
                array_push($order_array, $arr);
            }
            
        }

        return $order_array;

    }

    public function fetchMemberOrderHistory($member_id){
        $sql = "select Order_no, Transaction_date, count(Order_no) as total_items from lsl_transaction where Membership1_id = $member_id group by Order_no order by Transaction_id desc ";
        $result = $this->connect->query($sql);
        $order_array = array();
        if($result->num_rows > 0){
            while($row = $result->fetch_assoc() ){
                array_push($order_array, array('order_no' => $row['Order_no'], 'date' => $row['Transaction_date'], 'total_items' => $row['total_items']));
            }
            // return $result->fetch_assoc();
        }else {
            echo "no order found";
        }
        return $order_array;
        // return $sql;
    }

    public function fetchCustomerInfoFromRims($orderno){
        $return_array = array();
        $sql = "select cust_name, cust_phone, cust_email, cust_address from new_rims_2019.rims_order_table where o_num = $orderno limit 1 ";
        
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $row = $result->fetch_assoc() ;

            $return_array = array(
                "name"=> $row['cust_name'],
                "email"=> $row['cust_email'],
                "phone"=> $row['cust_phone'],
                "address"=> $row['cust_address']
            );
            return $return_array;
        }else{
            return $return_array;
        }
          
    }
    
    public function getMemberSession($key){
        $return_array = array();
        $sql = "select Enrollment_id, id, user_id, Membership_id, Loyalty_programme_id, Company_id from lsl_enrollment_master join oauth_access_tokens ON oauth_access_tokens.user_id = lsl_enrollment_master.Enrollment_id where oauth_access_tokens.id = '$key' ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            $row = $result->fetch_assoc() ;
            $return_array = array(
                "member_id"=> $row['Membership_id'],
                "company_id"=> $row['Company_id'],
                "loyalty_program_id"=> $row['Loyalty_programme_id'],
                "enroll_id"=> $row['Enrollment_id'],
                "authKey"=> $row['id']
            );
            return $return_array;
        }else{
            return $return_array;
        }
          
    }

    public function getMemberDetails($membershipID){
        $sql = " SELECT * FROM lsl_enrollment_master ";
        $sql .= " join lsl_state_master ON lsl_enrollment_master.State_id = lsl_state_master.State_id";
        $sql .= " join lsl_city_master ON lsl_enrollment_master.City_id = lsl_city_master.City_id";
        $sql .= " WHERE Membership_id = $membershipID ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){

            return $result->fetch_assoc() ;
        }
    }
    
    public function fetchCategories($id){
        $Category_array = array();
        $sql = " SELECT Merchandize_category_id, Merchandize_category_name, Parent_id FROM `lsl_merchandize_category` WHERE Parent_id = $id  ";
        $result = $this->connect->query($sql);
        if($result->num_rows > 0){
            while ($row = $result->fetch_assoc()) {
                array_push($Category_array, array("id"=>$row['Merchandize_category_id'], "name"=>$row['Merchandize_category_name']));
            }

        }
        return $Category_array;
        
    }

    public function fetchAllCategories($id){
        $array = array();
        $subCatArray = array();
        $CatArray = array();
        $parent = $this->fetchCategories($id);
        if(count($parent) > 0){
            foreach($parent as $parentCat){
                // print_r($parentCat['id']); die;
                foreach($this->fetchCategories($parentCat['id']) as $subCat){
                    $CatArray = array();
 
                    // array_push($subCatArray, array('id'=>$subCat['id'], 'name'=>$subCat['name']));
                    foreach($this->fetchCategories($subCat['id']) as $Cat){
                         array_push($CatArray, array('id'=>$Cat['id'], 'name'=>$Cat['name']));
                        
                    }
                    array_push($subCatArray, array('id'=>$subCat['id'], 'name'=>$subCat['name'], 'categories'=>$CatArray));

                }
            }
        }

        return array("sub_category"=>$subCatArray);
        
    }

    public function getOrderStatus($Order_status){
        $lv_order_status = "";
        if($Order_status == 146)
        {
            $lv_order_status = "Ordered"; 
        }
        if($Order_status == 147)
        {
            $lv_order_status = "Order To Partner";
        }
        if($Order_status == 148)
        {
            $lv_order_status = "Shipped";
        }
        if($Order_status == 149)
        {
            $lv_order_status = "Canceled";
        }
        if($Order_status == 150)
        {
            $lv_order_status = "Delivered";
        }
        if($Order_status == 151)
        {
            $lv_order_status = "Return To origin";
        }
        if($Order_status == 152)
        {
            $lv_order_status = "Non-serviceable";
        }
        if($Order_status == 153)
        {
            $lv_order_status = "Alternate Address Shipment";
        }
        if($Order_status == 154)
        {
            $lv_order_status = "Paid To Vendor";
        }

		return $lv_order_status;

    }

    public function getVoucherStatus($Voucher_status){
        $lv_voucher_status = "";
        if($Voucher_status == 141)
			{
				$lv_voucher_status = "Issued";
			}
			
			if($Voucher_status == 142)
			{
				$lv_voucher_status = "Used";
			}
			
			if($Voucher_status == 143)
			{
				$lv_voucher_status = "Expired";
			}
			
			if($Voucher_status == 144)
			{
				$lv_voucher_status = "Cancelled";
			}
			
			if($Voucher_status == 145)
			{
				$lv_voucher_status = "Paid To Partner";
			}
            return $lv_voucher_status;
    }

    public function profileHeader($pageTitle){
        echo " <div class='profile-header'><h5>".$pageTitle."</h5></div>
            <style>
                @media screen and (max-width: 799px) {
                    .profile-header{
                        display: block;
                        background:#E5E8EB;
                        width:100%;
                        text-align: center;
                        padding: 7px 1px;
                        
                    }
                    .profile-header h5{
                        font-style: normal;
                        font-weight: 700;
                        font-size: 15px !important;
                        color: #003B65 !important;
                        margin-top: 10px;
                    }
                }

                @media screen and (min-width: 800px) {
                    .profile-header{
                        display: none;
                    }
                }

 
            </style>
        ";
    }



}


$action = new Action();
// print_r($act->connect);
// echo "<hr>";


?>