<?php include('../includes/html_head.php');?>
 <?php include('../includes/header.php');?>
 
 <style>
     input:focus{
        outline: none;
    }
 </style>

<main>
<?php echo $action->profileHeader("Add New Address"); 

$member = $action->getMemberDetails($member_id);
$enrollId = $member['Enrollment_id'];

$sql = "SELECT State_id, State_name FROM lsl_state_master WHERE Country_id = 1";
$query = mysqli_query($conn, $sql);

$dropdown = "<option value=''> Select State </option>";

if(mysqli_num_rows($query) > 0){

	while($row = mysqli_fetch_assoc($query)){
		
		$dropdown .= "<option value='".$row['State_id']."'> ".$row['State_name']." </option>";
	}
}

?>

<div class="container py-4">

<div class="row align-items-md-stretch">
    <!-- ############   SIDEBAR NAV HERE   ##################### -->
    <?php include('../includes/sidebar.php');?>
<div class="col-lg-9 col-md-12 col-sm-12">
<div class="px-4 bg-white rounded-3 py-5">
<h3>New Address</h3>

<div>
    <p class="text-muted">Please enter an address you would like to save and deliver your items to</p>
    <p class="text-danger">*All fields are mandatory</p> 
    
    <div class="my-4">
      <label for="first_name" class="form-label">First Name</label>
      <input type="text" id="firstname" class="form-control inputHeight">
      <small class="fname" style="color:red;"></small>
    </div>

    <div class="my-4">
      <label for="last_name" class="form-label">Last Name</label>
      <input type="text" id="lastname" class="form-control inputHeight">
      <small class="lname" style="color:red;"></small>
    </div>

    <div class="my-4">
      <label for="email_address" class="form-label">Email Address</label>
      <input type="email" id="email" class="form-control inputHeight">
      <small class="mail" style="color:red;"></small>
    </div>

    <div class="my-4">
      <label for="mobile_number" class="form-label">Mobile Number</label>
      <input type="tel" id="phone" maxLength="11" class="form-control inputHeight">
      <small class="phone" style="color:red;"></small>
    </div>
   <div class="row"> 
   <div class="col-md-6">
   <div class="my-4">
      <label for="state" class="form-label">State</label>
      <select class="form-control inputHeight" id="state_select">
          <option>Select State</option>
         <?php echo $dropdown;?>
      </select>
      <small class="state" style="color:red;"></small>
    </div>
   </div>

   <div class="col-md-6">
   <div class="my-4">
      <label for="city" class="form-label">City</label>
      <select class="form-control city inputHeight" id="city">
         <option>Select City</option>
         <small class="city" style="color:red;"></small>
      </select>
    </div>
   </div>

</div>
    <div class="my-4">
      <label for="address" class="form-label">Address</label>
      <input type="text" id="address" class="form-control inputHeight">
      <small class="address" style="color:red;"></small>
    </div>
    
</div>
<div class="form-group my-1">
  <label for="save-address" class="form-label"><input type="checkbox" name ="save_address" id="save-address" class="my-1"> Set as primary delivery address </label>
</div>
<!--<button class="btn btn-warning pull-center shu" data-bs-toggle="modal" data-bs-target="#myModal"><b>Save Address<b></button>-->
<div class="text-center mt-5">
   <button class="btn btn-warning pull-center shu" id="save"><b>Save Address<b></button>
</div>
</div>
</div>
</div>
</div>

<!-- Modal -->

<div class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <!-- Modal body -->
      <div class="modal-body text-center">
    <img src="../assets/icons/successful element.png" class="mb-4" width="120" height="120">
     <h5>Address Saved!</h5>
    <p class="text-muted">You Have Successfully Added A New Address</p>
      </div>

      <!-- Modal footer -->
      <div class="text-center">
        <button type="button" class="btn btn-warning mb-4 shu" data-bs-dismiss="modal">Continue</button>
      </div>

    </div>
  </div>
</div>
</main>

<!-- <script src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
<script src="../assets/js/bootstrap.min.js"></script>
<script src="../assets/js/bootstrap.min.js.map"></script>
<script src="../assets/js/bootstrap.bundle.js"></script> -->

<script>
$(document).ready(function(){
 $("#state_select").change(function(){
  let state = this.value;
  
  $.post("selectcity.php",
  {
    state_id: state
  },
  function(data, status){
    $("#city").html(data);
  });

});

$("#save").click(function(){
    var saveDefault;
    var firstname = $("#firstname").val();
    var lastname = $("#lastname").val();
    var state = $("#state_select").val();
    var email = $("#email").val();
    var phone = $("#phone").val();
    var city = $("#city").val();
    var address = $("#address").val();
    var enrollId = <?php echo $enrollId; ?>;

    //check if the save beneficiary is checked
  if($('#save-address')[0].checked){
  saveDefault = "checked";
  
  }else{
      
    saveDefault = "unchecked";
  }
  
    if(firstname == ""){
        $('.fname').html('Kindly Enter First Name');
        $("#firstname").css('border','1px solid red');
        $("#firstname").focus();
        return false;
    }else{
        $('.fname').html();
        $("#firstname").css('border','none');
    }
    if(lastname == ""){
        $('.lname').html('Kindly Enter Last Name');
        $("#lastname").css('border','1px solid red');
        $("#lastname").focus();
        return false;
    }else {
        $('.lname').html();
        $("#lastname").css('border','none');
    }
    if(state == ""){
        $('.state').html('Kindly Select State');
        $("#state_select").css('border','1px solid red');
        $("#state_select").focus();
        return false;
    }else{
        $('.state').hide();
        $("#state_select").css('border','none');
    }
    if(city == ""){
        $('.city').html('Kindly Select City');
        $("#city").css('border','1px solid red');
        $("#city").focus();
        return false;
    }else{
        $('.city').hide();
        $("#city").css('border','none');
    }
    
    if(phone == "" ){ 
        $(".phone").html('Kindly Enter Phone Number');
         $("#phone").css('border','1px solid red');
        $("#phone").focus();
        return false;
    }else{
        $(".phone").hide();
         $("#phone").css('border','none');
    }
    
    if(!$.isNumeric(phone)){
        $(".phone").html('Kindly Enter A Numeric Value For Phone Number');
         $("#phone").css('border','1px solid red');
        $("#phone").focus();
        return false;
    }else{
        $(".phone").hide();
         $("#phone").css('border','none');
    }
    
    if(phone.length < 11){
        $(".phone").html('Invalid Phone Number');
         $("#phone").css('border','1px solid red');
        $("#phone").focus();
        return false;
    }else{
        $(".phone").hide();
         $("#phone").css('border','none');
    }
    
    if(address == ""){
        $('.address').html('Kindly Enter Delivery Address');
        $("#address").css('border','1px solid red');
        $("#address").focus();
        return false;
    }else{
        $('.address').hide();
        $("#address").css('border','none');
        
    }
        
        $("#save").hide();
        $.ajax({
					type: "POST",
					url: "add_address_script.php",
					data: {firstname:firstname,lastname:lastname,state:state,phone:phone,city:city,address:address,email:email,enrollId:enrollId,saveDefault:saveDefault},
						dataType: 'json',
						success: function(msg){
						  // console.log(msg);
					if (msg.status != 1001) {
                    alert("There was an error submitting the form. Please try again.");
                    return false;
						} else {
					if (msg.status == 1001) {
                    
                    $("#myModal").modal("toggle");
                    
                    setTimeout(() => {
				(location = 'address.php',2500)
				}, 2500);
				} else {
				$('#save').show(); // enable submits
							
			}
		}
													
	}
									
	});
        
    //}       

});

});
</script>

<?php include('../includes/footer.php');?>