<?php include('../includes/html_head.php');?>
 <?php include('../includes/header.php');?>

<main>
<?php 
echo $action->profileHeader("Delivery Address"); 
$member = $action->getMemberDetails($member_id);
$response = $action->getCustomerDeliveryAddresses($member['Enrollment_id']); 
$response2 = $action->getCustomerDefaultDeliveryAddresses($member['Enrollment_id']);
$defaultAddresses = $response2;

?>

<div class="container py-4">

<div class="row align-items-md-stretch">
    <!-- ############   SIDEBAR NAV HERE   ##################### -->
    <?php include('../includes/sidebar.php');?>
<div class="col-lg-9 col-md-12 col-sm-12">
<div class="px-4 bg-white rounded-3 py-5">
<h3 class="font-weight-bolder">Delivery Addresses</h3>

<div class="my-5">
    
<?php 
 $addrID = "";
foreach($defaultAddresses as $defaultAddress){ 
 $addrID = $defaultAddress['id'];
 
?>
  <div class="my-4">
    <p class="text-muted">Primary Address</p> 
    <p><?php echo $defaultAddress['first_name']." ".$defaultAddress['last_name'];?></p>   <a href="edit-address.php?id=<?php echo $defaultAddress['id'];?>"><p class="text-muted pull-right"><i class="fa fa-edit"></i> Edit</p></a>
    <p><?php echo $defaultAddress['address'];?></p>  <a href="#"> <p class="text-danger pull-right" id="deleteModal<?php echo $addrID;?>"><i class="fa fa-trash"></i> Delete</p></a>
    <p><?php echo $defaultAddress['phone_no'];?></p>
  </div>
    <hr style="border: 1px solid #EEEEEE">  
   <?php } ?> 
 <!--start loop-->
 <?php foreach($response as $data){ ?>
  <div class="my-4">
    <p class="text-muted"><?php echo $data['main'] == 1?"Primary Address":"";?></p> 
    <p><?php echo $data['first_name']." ".$data['last_name'];?></p>   <a href="edit-address.php?id=<?php echo $data['id'];?>"><p class="text-muted pull-right"><i class="fa fa-edit"></i> Edit</p></a>
    <p><?php echo $data['address'];?></p>  <a href="#"> <p class="text-danger pull-right" id="deleteModal<?php echo $data['id'];?>"><i class="fa fa-trash"></i> Delete</p></a>
    <p><?php echo $data['phone_no'];?></p>
  </div>
    <hr style="border: 1px solid #EEEEEE">
    
    <div class="modal" id="myModal<?php echo $data['id'];?>">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
     <h5>Delete Address</h5>
    <p class="text-muted">Are you sure you would like to delete this address?</p><br>
       <input type="hidden" class="addr<?php echo $data['id'];?>" value="<?php echo $data['id'];?>">
      <button type="button" class="btn btn-danger pull-left yes<?php echo $data['id'];?>" style="width:48%;border: 2px solid #222222;">Delete</button>
      <button type="button" class="btn btn-light pull-right" data-bs-dismiss="modal" style="width:48%;border: 2px solid #222222;">Cancel</button>
      <br>
      </div>
    </div>
  </div>
</div>

<script>

  $("#deleteModal<?php echo $data['id'];?>").click(function(){
    $('#myModal<?php echo $data['id'];?>').modal('toggle');
  });
  
  $(".yes<?php echo $data['id'];?>").click(function(){
     var addr = $(".addr<?php echo $data['id'];?>").val();
      //alert(addr);
      
      $.ajax({
									type: "POST",
									url: "deleteaddress.php",
									data: {addr:addr},
									dataType: 'json',

									success: function(msg){
									if (msg.status == 1001) {
                                    $("#myModal3").modal("show");
                                    setTimeout(() => {
										(location.reload(),3000)
										}, 3000);
									} else{
								 		alert(msg.message);
								 	}
							
									}
			});
  });
  
  

</script>

  <!--end loop-->
  <?php } ?>
</div>
   <a href="add_address.php"><button class="btn btn-warning py-3" id="#deleteModal" style="padding: 10px 70px; border: 2px solid #222222;"><b>Add New Address</b></button></a>
</div>
</div>
</div>
</div>


<div class="modal" id="myModal<?php echo $addrID;?>">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
     <h5>Delete Address</h5>
    <p class="text-muted">Are you sure you would like to delete this address?</p><br>
        <input type="hidden" class="getvalue<?php echo $addrID;?>" value="<?php echo $addrID;?>">
      <button type="button" class="btn btn-danger pull-left permit<?php echo $addrID;?>" style="width:48%;border: 2px solid #222222;">Delete</button>
      <button type="button" class="btn btn-light pull-right" data-bs-dismiss="modal" style="width:48%;border: 2px solid #222222;">Cancel</button>
      <br>
      </div>
    </div>
  </div>
</div>


<div class="modal" id="myModal2">
  <div class="modal-dialog">
    <div class="modal-content">

      <div class="modal-body text-center">
    <img src="../assets/icons/successful element.png" class="mb-4" width="120" height="120">
     <h5>Address Saved!</h5>
    <p class="text-muted">You have successfully added a new address</p>
      </div>

      <!-- Modal footer -->
      <div class="text-center">
        <button type="button" class="btn btn-warning mb-4 shu" data-bs-dismiss="modal">Continue</button>
      </div>

    </div>
  </div>
</div>

<div class="modal" id="myModal3">
  <div class="modal-dialog">
    <div class="modal-content">

      <div class="modal-body text-center">
    <img src="../assets/icons/successful element.png" class="mb-4" width="120" height="120">
     <h5>Success!</h5>
    <p class="text-muted">Address Deleted Successfully</p>
      </div>
      <!--<div class="text-center">-->
      <!--  <button type="button" class="btn btn-warning mb-4 shu" data-bs-dismiss="modal">Continue</button>-->
      <!--</div>-->

    </div>
  </div>
</div>

</main>
<?php include('../includes/footer.php');?>
<script src="" async defer></script>
<!-- <script src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
<script src="../assets/js/bootstrap.min.js"></script> -->
<!-- <script src="../assets/js/bootstrap.min.js.map"></script> -->
<!-- <script src="../assets/js/bootstrap.bundle.js"></script> -->

<script>
$(document).ready(function(){

  $("#deleteModal<?php echo $addrID;?>").click(function(){
    $('#myModal<?php echo $addrID;?>').modal('toggle');
  });
  
  $(".permit<?php echo $addrID;?>").click(function(){
     var addr = $(".getvalue<?php echo $addrID;?>").val();
      
      $.ajax({
									type: "POST",
									url: "deleteaddress.php",
									data: {addr:addr},
									dataType: 'json',

									success: function(msg){
									if (msg.status == 1001) {
                                    $("#myModal3").modal("show");
                                    setTimeout(() => {
										(location.reload(),3000)
										}, 3000);
									} else{
								 		alert(msg.message);
								 	}
							
									}
			});
  });

 });
</script>

