<!-- ############  html_head and header file here  ##################### -->
<?php include('../includes/html_head.php');?>
 <?php include('../includes/header.php');?>

<main>
<?php echo $action->profileHeader("New Password") ; ?>

<div class="container py-4">

<div class="row align-items-md-stretch">
    <!-- ############   SIDEBAR NAV HERE   ##################### -->
    <?php include('../includes/sidebar.php');?>
<div class="col-lg-9 col-md-12 col-sm-12">
<div class="p-3 bg-white border rounded-3">
<h3>Enter New Password</h3>

<div>
    <div class="phppot-container tile-container">
        <form name="frmChange" method="post" action="" onSubmit="return validatePassword()">

            <!--<div class="validation-message text-center"><?php if(isset($message)) { echo $message; } ?></div>-->
            <!--<h2 class="text-center">Change Password</h2>-->
            <p class="text-muted">To protect your account, enter a new password below</p>
            <div>
                
                <!--<div class="my-4">-->
                <!--  <label for="old-password" class="form-label">Old Password</label>-->
                <!--  <input type="password" id="oldpassword" class="form-control">-->
                <!--</div>-->
                
                <div class="my-4">
                    <label for="old-password" class="form-label">Old Password</label>
                    <!--<label class="inline-block">Current Password</label>-->
                    <span id="currentPassword" class="validation-message"></span>
                    <input type="password" id="currentPassword" name="oldpassword" class="form-control">
                    <!--<span id="currentPassword" class="validation-message"></span> <input type="password" name="currentPassword" class="full-width">-->
                </div>
                
                <div class="my-4">
                    <label for="new_password" class="form-label">New Password</label>
                    <span id="newPassword" class="validation-message"></span>
                    <input type="password" id="newPassword" name="newPassword" class="form-control">
                    <!--<label class="inline-block">New Password</label> <span id="newPassword" class="validation-message"></span><input type="password" name="newPassword" class="full-width">-->
                </div>
                
                <div class="my-4">
                    <label for="confirm-new_password" class="form-label">Confirm New Password</label>
                    <span id="confirmPassword" class="validation-message"></span>
                    <input type="password" id="cnewpassword" class="form-control">
                    <!--<span id="confirmPassword" class="validation-message"></span><input type="password" name="confirmPassword" class="full-width">-->
                </div>
                
                <div class="text-center my-5">
                    <button type="submit" name="submit" value="Submit" class="btn btn-warning pull-center shu" id="btnchangepassword">Save Changes</button>
                    <!--<input type="submit" name="submit" value="Submit" class="full-width">-->
                </div>
            </div>

        </form>
    </div>
<!--    <p class="text-muted">To protect your account, enter a new password below</p>-->
    
<!--    <div class="my-4">-->
<!--      <label for="old-password" class="form-label">Old Password</label>-->
<!--      <input type="password" id="oldpassword" class="form-control">-->
<!--    </div>-->

<!--    <div class="my-4">-->
<!--      <label for="new_password" class="form-label">New Password</label>-->
<!--      <input type="password" id="newpassword" class="form-control">-->
<!--    </div>-->

<!--    <div class="my-4">-->
<!--      <label for="confirm-new_password" class="form-label">Confirm New Password</label>-->
<!--      <input type="password" id="cnewpassword" class="form-control">-->
<!--    </div>-->

<!--</div>-->
<!--<div class="text-center my-5">-->
<!--   <button class="btn btn-warning pull-center shu" id="btnchangepassword">Save Changes</button>-->
<!--</div>-->
</div>
</div>
</div>
</div>

<!-- Modal -->

<div class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <div class="modal-body text-center">
    <img src="../assets/icons/successful element.png" class="mb-4" width="120" height="120">
     <h5>Password Changed!</h5>
    <p class="text-muted">You have successfully changed your password</p>
      </div>

      <!-- Modal footer -->
      <div class="text-center">
        <button type="button" class="btn btn-warning mb-4 shu" data-bs-dismiss="modal">Continue</button>
      </div>

    </div>
  </div>
</div>
</main>

<?php include('../includes/footer.php');?>
<!-- <script src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
<script src="../assets/js/bootstrap.min.js"></script> -->
<!-- <script src="../assets/js/bootstrap.min.js.map"></script> -->
<!-- <script src="../assets/js/bootstrap.bundle.js"></script> -->

<?php
session_start();
$_SESSION["userId"] = "1";
$conn = mysqli_connect("localhost", "root", "", "password_change");
if (count($_POST) > 0) {

    $sql = "SELECT * FROM users WHERE userId= ?";
    $statement = $conn->prepare($sql);
    $statement->bind_param('i', $_SESSION["userId"]);
    $statement->execute();
    $result = $statement->get_result();
    $row = $result->fetch_assoc();

    if (! empty($row)) {
        $hashedPassword = $row["password"];
        $password = PASSWORD_HASH($_POST["newPassword"], PASSWORD_DEFAULT);
        if (password_verify($_POST["currentPassword"], $hashedPassword)) {
            $sql = "UPDATE users set password=? WHERE userId=?";
            $statement = $conn->prepare($sql);
            $statement->bind_param('si', $password, $_SESSION["userId"]);
            $statement->execute();
            $message = "Password Changed";
        } else
            $message = "Current Password is not correct";
    }
}
?>

<script>
$(document).ready(function(){


  $('#btnchangepassword').click (function () {
		 var oldpassword = $('#oldpassword').val();
		 var newpassword = $('#newpassword').val();
		 var cnewpassword = $('#cnewpassword').val();;
		 
		 if (oldpassword =="") {
			 //alert("Kindly enter your current password");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Kindly Enter Your Current Password'});
			 $('#oldpassword').focus();
			 return false;
		 } else if (newpassword =="") {
			 //alert("Kindly enter your new password");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Kindly Enter Your New Password'});
			 $('#newpassword').focus();
			 return false;
		 }
		    else if (newpassword.length <=6) {
			 //alert("Your password must be greater than 6 Characters");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Your Password Must Be Greater Than 6 Characters'});
			 $('#newpassword').focus();
			 return false;
		 }
		  else if (newpassword !=cnewpassword) {
			 //alert("Your passwords do not match");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Your Password Do Not Match'});
			 $('#cnewpassword').focus();
			 return false;
		 }
		 else {
	// 		if ($('#loading_image').length == 0) { 
	// $('#btnchangepassword').before('<img src="img/loading.gif" style="display: none;" alt="loading" id="loading_image">')
	// }
	//$('#loading_image').show();    
    $('#btnchangepassword').hide();
			$.ajax({
									type: "POST",
									url: "change_member_password.php",
									data: {oldpassword: oldpassword, newpassword:newpassword, cnewpassword:cnewpassword},
									//dataType: 'json',
																		
									success: function(msg){
										 if (msg.status == 4004){
								// 		alert("You are currently not logged in");
								// 		window.location.replace('login.php');
								
								        Swal.fire({icon: 'success',title: 'Success',text: 'You are currently not logged in'});
										setTimeout(() => {
										(window.location.replace('login.php'),4000)
										
										}, 4000);
										
										} else {
											//$('#loading_image').remove();	
										$('#btnchangepassword').show();
										
										Swal.fire({icon: 'success',title: 'Success',text: msg});
										setTimeout(() => {
										(location.reload(),4000)
										}, 4000);
										
										}
									}
			});
		 return false;
		 }
	  });


});
</script>


<script>
    function validatePassword() 
    {
    	var currentPassword, newPassword, confirmPassword, output = true;
    
    	currentPassword = document.frmChange.currentPassword;
    	newPassword = document.frmChange.newPassword;
    	confirmPassword = document.frmChange.confirmPassword;
    
    	if (!currentPassword.value) {
    		currentPassword.focus();
    		document.getElementById("currentPassword").innerHTML = "required";
    		output = false;
    	}
    	else if (!newPassword.value) {
    		newPassword.focus();
    		document.getElementById("newPassword").innerHTML = "required";
    		output = false;
    	}
    	else if (!confirmPassword.value) {
    		confirmPassword.focus();
    		document.getElementById("confirmPassword").innerHTML = "required";
    		output = false;
    	}
    	if (newPassword.value != confirmPassword.value) {
    		newPassword.value = "";
    		confirmPassword.value = "";
    		newPassword.focus();
    		document.getElementById("confirmPassword").innerHTML = "not same";
    		output = false;
    	}
    	return output;
    }
</script>
