<!-- ############  html_head and header file here  ##################### -->
<?php include('../includes/html_head.php');?>
 <?php include('../includes/header.php');?>

<main>
<?php echo $action->profileHeader("New Pin") ; ?>

<div class="container py-4">

<div class="row align-items-md-stretch">
    <!-- ############   SIDEBAR NAV HERE   ##################### -->
    <?php include('../includes/sidebar.php');?>
<div class="col-lg-9 col-md-12 col-sm-12">
<div class="p-3 bg-white border rounded-3">
<h3>Change Pin</h3>

<div>
    <p class="text-muted">To protect your account, enter a new pin below</p>
    
    <form>
    <div class="mb-3">
      <label for="old-password" class="form-label">Old Pin</label>
      <input type="password" maxlength="4" id="oldpin" class="form-control">
    </div>

    <div class="mb-3">
      <label for="new_password" class="form-label">New Pin</label>
      <input type="password" maxlength="4" id="newpin" class="form-control">
    </div>

    <div class="mb-3">
      <label for="confirm-new_password" class="form-label">Confirm New Pin</label>
      <input type="password" maxlength="4" id="cnewpin" class="form-control">
    </div>

</form>
</div>
<div class="text-center">
   <button class="btn btn-warning pull-center shu" id="btnchangepin">Save Changes</button>
</div>
</div>
</div>
</div>
</div>

<!-- Modal -->

<div class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <div class="modal-body text-center">
    <img src="../assets/icons/successful element.png" class="mb-4" width="120" height="120">
     <h5>Pin Changed!</h5>
    <p class="text-muted">You have successfully changed your pin</p>
      </div>

      <!-- Modal footer -->
      <div class="text-center">
        <button type="button" class="btn btn-warning mb-4 shu" data-bs-dismiss="modal">Continue</button>
      </div>

    </div>
  </div>
</div>
</main>
<?php include('../includes/footer.php');?>
<!-- <script src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
<script src="../assets/js/bootstrap.min.js"></script>
<script src="../assets/js/bootstrap.min.js.map"></script>
<script src="../assets/js/bootstrap.bundle.js"></script> -->

<script>
$(document).ready(function(){

  $('#btnchangepin').click (function () {
		 var oldpin = $('#oldpin').val();
		 var newpin = $('#newpin').val();
		 var cnewpin = $('#cnewpin').val();;
		 
		 if (oldpin =="") {
			 //alert("Kindly enter your current password");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Kindly Enter Your Current Pin'});
			 $('#oldpin').focus();
			 return false;
		 } else if (newpin =="") {
			 //alert("Kindly enter your new password");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Kindly Enter Your New Pin'});
			 $('#newpin').focus();
			 return false;
		 }
		    else if (cnewpin.length !== 4) {
			 //alert("Your password must be greater than 6 Characters");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Your Pin Must Not Be Less Than Or Greather Than 4 Characters'});
			 $('#newpassword').focus();
			 return false;
		 }
		  else if (newpin !=cnewpin) {
			 //alert("Your passwords do not match");
			 Swal.fire({icon: 'warning',title: 'Warning!',text: 'Your Pin Do Not Match'});
			 $('#cnewpin').focus();
			 return false;
		 }
		 else {
	// 		if ($('#loading_image').length == 0) { 
	// $('#btnchangepassword').before('<img src="img/loading.gif" style="display: none;" alt="loading" id="loading_image">')
	// }
	//$('#loading_image').show();    
    $('#btnchangepin').hide();
			$.ajax({
									type: "POST",
									url: "change_member_pin.php",
									data: {oldpin: oldpin, newpin:newpin, cnewpin:cnewpin},
									//dataType: 'json',
																		
									success: function(msg){
										 if (msg == 4004){
								// 		alert("You are currently not logged in");
								// 		window.location.replace('login.php');
								
								        Swal.fire({icon: 'success',title: 'Success',text: 'You are currently not logged in'});
										setTimeout(() => {
										(window.location.replace('login.php'),4000)
										
										}, 4000);
										
										} else if(msg == "Incorrect Old Pin"){

                      Swal.fire({icon: 'warning',title: 'Warning!',text: 'Incorrect Old Pin'});
                      $('#btnchangepin').show();
									    return false;

                    } else {
											//$('#loading_image').remove();	
										
										//Swal.fire({icon: 'success',title: 'Success',text: msg});
                    $("#myModal").modal("toggle");
										setTimeout(() => {
										(location.reload(),4000)
										}, 4000);
										
										}
									}
			});
		 return false;
		 }
	  });

});
</script>
