<?php
//include('../includes/checklogin.php');
include('../includes/html_head.php');
ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL);
?>
 <?php include('../includes/header.php');?>

<main>
<?php 
if(isset($_GET['id'])){
    $address_id = $_GET['id'];
}else{
    header("Location: address.php");
}

echo $action->profileHeader("Edit Address");
$address = $action->getSingleDeliveryAddress($address_id);

$getStateAndCity = "select City_name,State_name,City_id,lsl_state_master.State_id from lsl_city_master join lsl_state_master on lsl_state_master.State_id = lsl_city_master.State_id where lsl_city_master.City_id = '".$address['city_id']."' and lsl_state_master.State_id = '".$address['state_id']."' limit 1";
   $response = mysqli_query($conn, $getStateAndCity) or mysqli_error($conn);
   $row45 = mysqli_fetch_assoc($response);
   
$sql = "SELECT State_id, State_name FROM lsl_state_master WHERE Country_id = 1";
$query = mysqli_query($conn, $sql);

$dropdown = "<option value=''> Select State </option>";

if(mysqli_num_rows($query) > 0){

	while($row = mysqli_fetch_assoc($query)){
		
		$dropdown .= "<option value='".$row['State_id']."'> ".$row['State_name']." </option>";
	}
}

?>

<div class="container py-4">

<div class="row align-items-md-stretch">
    <!-- ############   SIDEBAR NAV HERE   ##################### -->
    <?php include('../includes/sidebar.php');?>
<div class="col-lg-9 col-md-12 col-sm-12">
<div class="p-3 bg-white rounded-3">
<h3>Edit Address</h3>

<div>
    
    
    <div class="my-4">
      <label for="first_name" class="form-label">First Name</label>
      <input type="text" value="<?php echo $address['first_name'];?>" id="firstname" class="form-control inputHeight">
    </div>

    <div class="my-4">
      <label for="last_name" class="form-label">Last Name</label>
      <input type="text" class="form-control" id="lastname" value="<?php echo $address['last_name'];?>">
    </div>

    <div class="my-4">
      <label for="email_address" class="form-label">Email Address</label>
      <input type="email" class="form-control inputHeight" id="email" value="<?php echo $address['email_address'];?>">
    </div>

    <div class="my-4">
      <label for="mobile_number" class="form-label">Mobile Number</label>
      <input type="tel" class="form-control inputHeight" maxLength="11" id="phone" value="<?php echo $address['phone_no'];?>">
    </div>
   <div class="row"> 
   <div class="col-md-6">
   <div class="my-4">
      <label for="state" class="form-label">State</label>
      <select class="form-control state inputHeight" id="state_select">
         <option value="<?php echo $row45['State_id'];?>"><?php echo $row45['State_name'];?></option>
         <?php echo $dropdown;?>
      </select>
    </div>
   </div>

   <div class="col-md-6">
   <div class="my-4">
      <label for="city" class="form-label"></label> City</label>
      <select class="form-control city inputHeight" id="city">
          <option value="<?php echo $row45['City_id'];?>"><?php echo $row45['City_name'];?></option>
         <option>Select City</option>
      </select>
    </div>
   </div>

</div>
    <div class="my-4">
      <label for="address" class="form-label">Address</label>
      <input type="text" class="form-control inputHeight" id="address" value="<?php echo $address['full_address'];?>">
    </div>
    
    <div class="text-center mt-5">
   <button class="btn btn-warning pull-center shu" id="submit">Save Changes</button>
</div>

    
</div>

</div>
</div>
</div>
</div>

<!-- Modal -->

<div id="myModal" class="modal" >
  <div class="modal-dialog">
    <div class="modal-content">

      <div class="modal-body text-center">
    <img src="../assets/icons/successful element.png" class="mb-4" width="120" height="120">
     <h5>Address Updated!</h5>
    <p class="text-muted">You have successfully updated your address</p>
      </div>

      <!-- Modal footer -->
      <div class="text-center">
        <button type="button" class="btn btn-warning mb-4 shu" data-bs-dismiss="modal">Continue</button>
      </div>

    </div>
  </div>
</div>
</main>

<!-- <script src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
<script src="../assets/js/bootstrap.min.js"></script>
<script src="../assets/js/bootstrap.min.js.map"></script>
<script src="../assets/js/bootstrap.bundle.js"></script> -->
<script>
    $("#state_select").change(function(){
  let state = this.value;
  
  $.post("selectcity.php",
  {
    state_id: state
  },
  function(data, status){
    $("#city").html(data);
  });

});

$("#submit").click(function(){
    var firstname = $("#firstname").val();
    var lastname = $("#lastname").val();
    var state = $(".state").val();
    var email = $("#email").val();
    var phone = $("#phone").val();
    var city = $(".city").val();
    var address = $("#address").val();
    var addressId = <?php echo $address_id;?>;
    //alert(addressId);
    if(firstname == ""){
        alert('Kindly Enter First Name');
        $("#firstname").focus();
        return false;
    }else if(lastname == ""){
        alert('Kindly Enter Last Name');
        $("#lastname").focus();
        return false;
    }else if(state == ""){
        alert('Kindly Select State');
        $(".state").focus();
        return false;
    }else if(city == ""){
        alert('Kindly Select City');
        $(".city").focus();
        return false;
    }else if(phone == "" ){ //if(phone == "" & !$.isNumeric(phone) & phone.length >= 11)
        alert('Kindly Enter A Numeric Value For Phone Number');
        $("#phone").focus();
        return false;
    }else if(address == ""){
        alert('Kindly Enter Delivery Address');
        $("#address").focus();
        return false;
    }else{
        $("#submit").hide();
        $.ajax({
					type: "POST",
					url: "update_address_script.php",
					data: {firstname:firstname,lastname:lastname,state:state,phone:phone,city:city,address:address,email:email,addressId:addressId},
						dataType: 'json',
						success: function(msg){
						  // console.log(msg);
					if (msg.status != 1001) {
                    alert("There was an error submitting the form. Please try again.");
                    return false;
						} else {
					if (msg.status ==1001) {
                    $("#myModal").modal("toggle");
                    setTimeout(() => {
				(location = 'address.php',2500)
				}, 2500);
				} else {
				$('#submit').show(); // enable submits
							
			}
		}
													
	}
									
	});
    }
});

</script>


<?php include('../includes/footer.php');?>