
 <!-- ############  html_head and header file here  ##################### -->
 <?php 

    include('../includes/html_head.php');
    include('../includes/header.php');
    include_once('../includes/actions.php');
// print_r($_SESSION); echo 'session <hr>';
    // $action = new Action();

    // $order_history = $action->fetchOrderHistory(8711130) ;
    $order_history = $action->fetchMemberOrderHistory($member_id) ;

// print_r($order_history);
// echo "<hr>";
// echo json_encode($order_history);   
?>
<script> 
var pp = <?= json_encode($order_history) ?>;
console.log('pp->'+JSON.stringify(pp));
// console.log('cc'+cc);


</script>
<?php //die; ?>

<main>
<?php echo $action->profileHeader("Order History") ; ?>
   
  <div class="container py-4">

    <div class="row align-items-md-stretch">
        <!-- ############   SIDEBAR NAV HERE   ##################### -->
        <?php include('../includes/sidebar.php');?>
      <div class="col-lg-9 col-md-12 col-sm-12">
        <div class="px-4 bg-white rounded-3 py-5">
         <h3> Order History </h3>

            <div class="order-history px-4">
            <div class="py-0 my-3">

                <?php 

                foreach ($order_history as $orderss) {?>
                        <div class='row order-head pt-4 my-3'>
                            <div class='col-lg-4 col-md-12 col-sm-12'>
                                <p> Order No.:#<?php echo $orderss['order_no'] ;?> </p>
                            </div>
                            <div class="col-lg-5 col-md-12 col-sm-12">
                                <p> Order Date:<?php echo $orderss['date'] ;?> </p>
                            </div>
                            <div class="col-lg-3 col-md-12 col-sm-12">
                                <p class="clearfix"> 
                                    <span class="d-inline-block pull-left"><?php echo $orderss['total_items'] ;?> Items </span> 
                                    <button style="border: none;" class="bg-transparent toggler d-inline-block pull-right" data-bs-toggle="collapse" data-bs-target="#order-body-<?php echo $orderss['order_no']; ?>"> <i class="font-weight-bolder fa fa-chevron-down"></i> </button>

                                </p>
                            </div>
                        </div>

                      <div class="order-body collapse px-3 border" id="order-body-<?php echo $orderss['order_no']; ?>">
                        <?php 

                          foreach($action->fetchOrderItem($orderss['order_no']) as $order){
                            if($order['remarks'] != null || $order['remarks'] != ' ' || $order['remarks'] != '' || !empty($order['remarks'])){
                                $remarks = "<p><strong>". $order['remarks'] ."</strong></p>";
                            }else{
                                $remarks = "";
                            }
                            if($order['delivery_method'] == 1){
                                $method = 'Pick Up';
                                $address = $action->getBranchLocation($order['branch_code']);
                            }
                            else if($order['delivery_method'] == 2){
                                $method = 'Delivery';
                                $address = $order['shipping_address'];
                            }
                            else{$method = ' - ';}
                        ?>
                  
                        <div class="row border-bottom order-body my-4" >
                            <div class="col-lg-7 col-md-12 col-sm-12 text-lg-start">
                                <img style="vertical-align: bottom;" src="<?php echo $order['item_image'] ;?>" width="90" height="120" > 
                                <div class="d-inline-block mx-3">
                                    <p><?php echo $order['item_name'] ;?></p>
                                    <p><b><?php echo $order['redeem_points'] ;?> Points</b></p>
                                    <p> QTY: <b> <?php echo $order['quantity'] ;?> </b></p>
                                    <?php echo $remarks; ?>
                                </div>
                            </div>
                            <div class="col-lg-5 col-md-12 col-sm-12 text-lg-end">
                                <div>
                                    <p class="py-2">Status: <strong class="text-success"> <?php echo $action->getOrderStatus($order['order_status']) ;?></strong></p>
                                    <p class="text-secondary">Redemption Method</p>
                                    <p> <b> <?php echo $method ; ?> </b> </p>
                                    <p class="my-1 text-secondary"> Address</p>
                                    <p style="text-transform: capitalize !important;"><small><?php echo strtolower($address) ; ?></small></p>
                                </div>
                            </div>
                            
                        </div><hrs style="borderss: 0.5 solid gray;">
                        <?php } ?>
                    </div>

                <?php } 
                ?>
                                         
              
            </div>
<!-- 
            <div>
                <div class="row order-head my-3">
                    <div class="col-lg-4">
                        <p> <strong> ORDER <br> DELIVERED </strong></p>
                    </div>
                    <div class="col-lg-4">
                        <p> Order No. <br> 23456  </p>
                    </div>
                    <div class="col-lg-4">
                        <p> Voucher No. <br> FT435  </p>
                    </div>
                </div>
                <div class="row order-body my-4">
                    <div class="col-lg-7 text-start">
                        <img style="vertical-align: bottom;" src="../images/wine-bottle.png" width="90" height="120" > 
                        <div class="d-inline-block mx-3">
                            <p>Giusepi Luigi Eau de Spirit</p>
                            <p><b>1234 Points</b></p>
                            <p> QTY: <b> 12</b></p>
                        </div>
                    </div>
                    <div class="col-lg-5 text-end">
                        <div>
                            <p class="text-secondary">Redemption Method</p>
                            <p> <b>Delivery</b> </p>
                            <p class="my-1 text-secondary"> Delivery Address</p>
                            <p>67, new yaba road,Lagos</p>
                        </div>
                    </div>
                    
                </div>
            </div> -->


        </div>
      </div>
    </div>
  </div>


</main>

<!-- <script src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
<script src="../assets/js/bootstrap.min.js"></script>
<script src="../assets/js/bootstrap.min.js.map"></script>
<script src="../assets/js/bootstrap.bundle.js"></script> -->


<?php include('../includes/footer.php');?>

<script>
// $(document).ready(function(){
    // $('.order-body').on('hidden.bs.collapse', ()=>{
    //     console.log('hidden',$('button.toggler').html());
    //     $('button.toggler').html("<i class='show fa fa-caret-up'> </i>")
    // })

    // $('.order-body').on('shown.bs.collapse', ()=>{
    //     console.log('shown',$('button.toggler').html());
    //     $('button.toggler').html("<i class='hide fa fa-caret-down'> </i>")
    // })

    // $('show').click(()=>{
    //     $('.order-body').collapse('show');
    //     $(this).attr('class', "hide fa fa-chevron-down")
    // })

    // $('hide').click(()=>{
    //     $('.order-body').collapse('show');
    //     $(this).attr('class', "hide fa fa-chevron-down")
    // })


// });
</script>