<?php 
/***********************************************************************************				
Name of File 		: update_transfer_points_seconds.php
Date of Creation	: 25-09-2014
Created By			: Amit Kamble
Purpose Of File		: To transfer points to other customer into the table.
Update File History	: 
Change date			:				 		
****************************************************************************************/
ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL); 
//include("includes/checklogin.php");

include_once('../includes/actions.php');

$member = $action->getMemberDetails(8711130);
$enrolid = $member['Enrollment_id'];
if (isset($member['Membership_id'])) {

require_once("../includes/lsl_db.php");
include_once "../includes/connect.php";

error_reporting(E_ERROR |E_PARSE|E_CORE_ERROR);
		
$enrolid = $member['Enrollment_id'];//$_SESSION['enroll'];
$Company_id = 2; //$_SESSION['companyid'];
$saveBeneficiary = $_POST['save_receipient'];
$member_details_result = lslDB::getInstance()->get_user_details3($enrolid,$Company_id);
$member_details = mysqli_fetch_array($member_details_result);
$Membership_id = $member_details['Membership_id'];
$Enrollment_id = $member_details['Enrollment_id'];
$Communication_flag = $member_details['Communication_flag'];
$Communication_type = $member_details['Communication_type'];
$Current_balance = $member_details['Current_balance'] - $member_details['Blocked_points'];
$Today_date = date("Y-m-d H:i:s");
$Parent_enroll_id = $member_details['Parent_enroll_id'];

$transfer_tomember_details_result = lslDB::getInstance()->get_member_details($_POST['transfer_to'],$Company_id);
$transfer_tomember_details = mysqli_fetch_array($transfer_tomember_details_result);
$Transfer_to_membershipid = $transfer_tomember_details['Membership_id'];

$points_to_transfer = $_POST['points_to_transfer'];
$pin_no = $_POST['pin_no'];

$Transferto_member_details_result = lslDB::getInstance()->get_member_details($Transfer_to_membershipid,$Company_id);
$Transferto_member_details = mysqli_fetch_array($Transferto_member_details_result);

$company_details_result = lslDB::getInstance()->get_company_details($Company_id);
$company_details = mysqli_fetch_array($company_details_result);
$Pin_no_applicable = $company_details['Pin_no_applicable'];

// $iv = '56666852251557009888889955123458';
// $key = $company_details['Company_encryptionkey'];
// $Middleware_url = 'https://loyaltygem.accessbankplc.com/diamond/v1/?API_flag=email';
// //$Middleware_url = 'http://197.253.42.118/diamond/api/v1/?API_flag=email';
// $Company_username = $company_details['Company_username'];
// $Company_password = $company_details['Company_password'];
// $Company_password = string_encrypt($Company_password, $key, $iv);

if($Parent_enroll_id > 0)
{
    $lv_result292 = lslDB::getInstance()->get_user_details($Parent_enroll_id,$Company_id);
    $lv_row292 =mysqli_fetch_assoc($lv_result292);

    $Current_balance = $lv_row292['Current_balance'] - $lv_row292['Blocked_points'];
    $Curr_balance = $lv_row292['Current_balance'];
    $Blocked_points = $member_details['Blocked_points'];
    $Family_memb_enroll_id = $member_details['Enrollment_id'];
    $Family_redeem_limit_cust = $member_details['Family_redeem_limit'];
}
else
{
    $Blocked_points = $member_details['Blocked_points'];
    $Curr_balance = $member_details['Current_balance'];
    $Current_balance = $member_details['Current_balance'] - $member_details['Blocked_points'];
    $Family_memb_enroll_id = 0;
}

/******************************************Calculate Family Days Available Limit**************************************/
    $todays_date = date("Y-m-d");	
    $check_count_tras_family_memb = lslDB::getInstance()->check_count_tras_family_memb($Company_id,$Family_memb_enroll_id,$todays_date);	
    $Family_member_access=1;	
    $rows12 = mysqli_fetch_array($check_count_tras_family_memb);

    $family_mem_total_redeem_points = $rows12["sum(Redeem_amount)"];	
    $family_mem_total_tranfer_points = $rows12["sum(Transfer_points)"];

    if ($Parent_enroll_id > 0)
    {
        $Total_available_points_family_mem = $Family_redeem_limit_cust - ( $family_mem_total_redeem_points + $family_mem_total_tranfer_points + $Blocked_points);
    }
    else
    {
        $Total_available_points_family_mem = 1;
    }
/******************************************Calculate Family Days Available Limit**************************************/

if($member_details == NULL)
{
     echo json_encode(array("status" => "2003", "status_message" => "Unable to Locate membership id"));die;
}
else
{
    if($member_details['Active_flag'] == 0)
    {
        echo json_encode(array("status" => "2004", "status_message" => "Membership Disabled / Inactive"));die;
    }
    else
    {
        if($Transfer_to_membershipid == "")
        {
            echo json_encode(array("status" => "2016", "status_message" => "Transfer to Membership ID is blank"));die;
        }
        else if($Transfer_to_membershipid == $Membership_id)
        {
            echo json_encode(array("status" => "2017", "status_message" => "Invalid Transfer to membership ID"));die;
        }
        else if($points_to_transfer == "" || $points_to_transfer == 0 || $points_to_transfer < 0)
        {
            echo json_encode(array("status" => "2018", "status_message" => "Invalid Transfer Points Entered"));die;
        }
		else if( is_numeric($points_to_transfer) && ( floor($points_to_transfer) != $points_to_transfer ) )
        {
            echo json_encode(array("status" => "2018", "status_message" => "Invalid Transfer Points Entered"));die;
        }
        else if($points_to_transfer > $Current_balance)
        {
            echo json_encode(array("status" => "2014", "status_message" => "You don't have sufficient balance"));die;
        }
        else if( ($Pin_no_applicable == 1) && ($pin_no == "" || $pin_no != $member_details['Pin']) )
        {
            echo json_encode(array("status" => "2025", "status_message" => "Invalid Customer Pin Entered"));die;
        }
        else if($Parent_enroll_id == $Transferto_member_details['Enrollment_id'])
        {
            echo json_encode(array("status" => "2017", "status_message" => "Invalid Transfer to membership ID"));die;
        }
        else if($Parent_enroll_id > 0 && $Total_available_points_family_mem <= 0)
        {
            echo json_encode(array("status" => "2026", "status_message" => "You have Exceeded the Transfer Limit for the Day"));die;
        }
        else if($Parent_enroll_id > 0 && $Family_redeem_limit_cust < $points_to_transfer)
        {
            echo json_encode(array("status" => "2027", "status_message" => "You don't have sufficient Points limit for the Day or Check Your Limit Per Day"));die;                                        
        }
        else
        {
            $query1 = "SELECT * FROM lsl_enrollment_master "
                        . "WHERE Membership_id ='".$Transfer_to_membershipid."' "
                        . "AND Company_id=".$Company_id." "
                        . "AND User_type_id='1' "
                        . "AND Active_flag='1'";
            $result1 = mysqli_fetch_array(mysqli_query($conn,$query1));
            $Valid_count = mysqli_num_rows(mysqli_query($conn,$query1));

            $Communication_flag2 = $result1['Communication_flag'];
            $Communication_type2 = $result1['Communication_type'];

            if($Valid_count > 0)
            {
                /**************************Insert transaction********************************/
                    $insert_transafer_points = lslDB::getInstance()->insert_transfer_transaction('6',$Company_id,$Enrollment_id,$member_details['Membership_id'],$Today_date,$result1["Enrollment_id"],$Transfer_to_membershipid,$points_to_transfer,'',$Enrollment_id,$Today_date);
                /**************************Insert transaction********************************/

                /************************Insert Other customer Entry in transaction table as Credit Transaction**********************/
                    $query2 = "INSERT INTO lsl_transaction(Transaction_type_id,Company_id,Company_transaction_Type, Transaction_channel_code,Member1_enroll_id,Membership1_id,Transaction_date,Member2_enroll_id,Membership2_id,Bonus_points,Member_pin,Create_user_id,Create_date)
                                VALUES('3','".$Company_id."', 'Transfer Point', 'From a Member', '".$result1["Enrollment_id"]."','".$Transfer_to_membershipid."','".$Today_date."','".$Enrollment_id."','".$member_details['Membership_id']."','".$points_to_transfer."','".$pin_no."','".$Enrollment_id."','".$Today_date."')";
                    $result2 = mysqli_query($conn,$query2) or die (mysqli_error($conn));
                /************************Insert Other customer Entry in transaction table as Credit Transaction**********************/

                /************************Decrease Current Balance of Login Member************************/
					$member_details_result292 = lslDB::getInstance()->get_user_details($Enrollment_id,$Company_id);
                    $member_details292 = mysqli_fetch_assoc($member_details_result292);
					
                    $avail_bal = $member_details['Current_balance'];//+ $member_details['Blocked_points']
                    $avail_bal = $avail_bal - $points_to_transfer;

                    if($Parent_enroll_id > 0)
                    {
						$lv_result292 = lslDB::getInstance()->get_user_details($Parent_enroll_id,$Company_id);
                        $lv_row292 =mysqli_fetch_assoc($lv_result292);
						
                        $Transferfrom_parent_avail_bal = $lv_row292['Current_balance'] - $points_to_transfer;                                                    
                        $family_avail_bal = $member_details['Current_balance'] - $points_to_transfer;

                        $update_member_balance = lslDB::getInstance()->update_member_balance($Company_id,$Enrollment_id,$family_avail_bal);
                        $update_parent_member_balance = lslDB::getInstance()->update_member_balance($Company_id,$Parent_enroll_id,$Transferfrom_parent_avail_bal);
                    }
                    else
                    {
                        $update_member_balance = lslDB::getInstance()->update_member_balance($Company_id,$Enrollment_id,$avail_bal);
                    }
                /************************Decrease Current Balance of Login Member************************/

                /************************Increase Current Balance of Other Member************************/
                    $avail_bal2 = $result1["Current_balance"] + $points_to_transfer;

                    $Fifo_Transactions = lslDB::getInstance()->get_fifo_transactions($Company_id,$Enrollment_id,$points_to_transfer,$insert_transafer_points,'',$Enrollment_id,$Today_date,"Transfer Points");

                    if($result1["Parent_enroll_id"] > 0)
                    {
                        $Transferto_parent_result = lslDB::getInstance()->get_user_details($result1["Parent_enroll_id"],$Company_id);
                        $Transferto_parent_details = mysqli_fetch_array($Transferto_parent_result);
                        $Transferto_parent_CB = $Transferto_parent_details['Current_balance'];

                        $Transferto_parent_avail_bal = $Transferto_parent_CB + $points_to_transfer;
                        $update_member_balance3 = lslDB::getInstance()->update_member_balance($Company_id,$result1["Enrollment_id"],$avail_bal2);
                        $update_Transferto_parent_balance = lslDB::getInstance()->update_member_balance($Company_id,$result1["Parent_enroll_id"],$Transferto_parent_avail_bal);
                    }
                    else
                    {
                        $update_member_balance2 = lslDB::getInstance()->update_member_balance($Company_id,$result1["Enrollment_id"],$avail_bal2);
                    }
                /************************Increase Current Balance of Other Member************************/

                /******Points Transfer From Email Notification********/
                    // $get_company_details = lslDB::getInstance()->get_company_details($Company_id);
                    // $company_detail=mysqli_fetch_array($get_company_details);
                    // $Points_transfers_sms = $company_detail['Points_transfers_sms'];

                    // if($Communication_flag == 1)
                    // {
                        //if($Communication_type == 1 || $Communication_type == 3)
                        // {
                        //     $Template_type_id = 32; $Email_type = 186;
                        //     $point_transfer_from_template = lslDB::getInstance()->send_point_transfer_from_template($Enrollment_id,$result1["Enrollment_id"],$points_to_transfer,$Transfer_to_membershipid,$avail_bal,$Company_id,$Email_type,$Template_type_id,$Today_date);
                        
                            /*********************************Consume API Code******************************/                                
                                // if($Communication_flag == 1){ $Email_send_status = 1; }else{ $Email_send_status = 0; } 
                                // $Membership_id_encry = string_encrypt($member_details['Membership_id'], $key, $iv);
                                // $point_transfer_from_template = json_decode($point_transfer_from_template);                                
                                // $Email_subject = $point_transfer_from_template->Email_Subject;
                                // $Email_body = $point_transfer_from_template->Email_Body;
                                // $Notification_ID = $point_transfer_from_template->Notification_ID;
                                // $bcc_email_address = $point_transfer_from_template->bcc_email_address;

                                // $fields = array
                                //     (
                                //         'Company_username' => $Company_username,
                                //         'Company_password' => $Company_password,
                                //         'Membership_ID' => $Membership_id_encry,
                                //         'Email_subject' => $Email_subject,
                                //         'Email_body' => $Email_body,
                                //         'Notification_ID' => $Notification_ID,
                                //         'Email_send_status' => $Email_send_status,
                                //         'bcc_email_address' => $bcc_email_address,
                                //         'Current_balance' => $member_details['Current_balance'],
                                //         'Loyalty_points' => $points_to_transfer,
                                //         'Trantype_code' => "2",
                                //         'Trantype_desc' => "Points Transfer",
                                //         'Trantype' => "Debit"
                                //     );

                                // $field_string = $fields;
                                // $ch = curl_init();
                                // $timeout = 0; // Set 0 for no timeout.
                                // curl_setopt($ch, CURLOPT_URL, $Middleware_url);
                                // curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                                // curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($field_string)); 
                                // curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                                // curl_setopt($ch, CURLOPT_HTTPHEADER, array("Content-type= application/json"));
                                // curl_setopt($ch, CURLOPT_POST, true);
                                // curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
                                // $result = curl_exec($ch);
                                // curl_close($ch);
                                // $response = json_decode($result, true);
                            /*********************************Consume API Code******************************/
                       // }

                        /*********************Send SMS******************/
                    //         if($Communication_type == 2 || $Communication_type == 3)
                    //         {				
                    //             $SMS_Type = 186;    $Template_smstype_id = 32;
                    //             if($Points_transfers_sms == 1)
                    //             {
                    //                 $transferpoints_smstemplate = lslDB::getInstance()->send_point_transfer_from_smstemplate($Enrollment_id,$result1["Enrollment_id"],$points_to_transfer,$Transfer_to_membershipid,$avail_bal,$Company_id,$Email_type,$Template_type_id,$Today_date); 
                    //             }
                    //         }
                    //     /*********************Send SMS Ends*************/
                    // }
                /******Points Transfer From Email Notification********/

                /*********************Transfer From Customer Parent**************************/
                    // if($Parent_enroll_id > 0)
                    // {
                    //     $Template_type_id = 32;     $Email_type = 186;	
                    //     $point_transfer_from_template33 = lslDB::getInstance()->send_point_transfer_from_template99($Enrollment_id,$result1["Enrollment_id"],$points_to_transfer,$Transfer_to_membershipid,$family_avail_bal,$Company_id,$Email_type,$Template_type_id,$Today_date,$Parent_enroll_id); 
                    
                    //     /*********************************Consume API Code******************************/     
                    //         $member_details_result1 = lslDB::getInstance()->get_user_details3($Parent_enroll_id,$Company_id);
                    //         $member_details1 = mysqli_fetch_array($member_details_result1);
                    //         if($member_details1['Communication_flag'] == 1){ $Email_send_status1 = 1; }else{ $Email_send_status1 = 0; } 
                    //         $Membership_id_encry1 = string_encrypt($member_details1['Membership_id'], $key, $iv);
                    //         $point_transfer_from_template33 = json_decode($point_transfer_from_template33);                                
                    //         $Email_subject1 = $point_transfer_from_template33->Email_Subject;
                    //         $Email_body1 = $point_transfer_from_template33->Email_Body;
                    //         $Notification_ID1 = $point_transfer_from_template33->Notification_ID;
                    //         $bcc_email_address1 = $point_transfer_from_template33->bcc_email_address;

                    //         $fields1 = array
                    //             (
                    //                 'Company_username' => $Company_username,
                    //                 'Company_password' => $Company_password,
                    //                 'Membership_ID' => $Membership_id_encry1,
                    //                 'Email_subject' => $Email_subject1,
                    //                 'Email_body' => $Email_body1,
                    //                 'Notification_ID' => $Notification_ID1,
                    //                 'Email_send_status' => $Email_send_status1,
                    //                 'bcc_email_address' => $bcc_email_address1,
                    //                 'Current_balance' => $member_details1['Current_balance'],
                    //                 'Loyalty_points' => $points_to_transfer,
                    //                 'Trantype_code' => "2",
                    //                 'Trantype_desc' => "Points Transfer",
                    //                 'Trantype' => "Debit"    
                    //             );

                    //         $field_string1 = $fields1;
                    //         $ch1 = curl_init();
                    //         $timeout1 = 0; // Set 0 for no timeout.
                    //         curl_setopt($ch1, CURLOPT_URL, $Middleware_url);
                    //         curl_setopt($ch1, CURLOPT_RETURNTRANSFER, true);
                    //         curl_setopt($ch1, CURLOPT_POSTFIELDS, http_build_query($field_string1)); 
                    //         curl_setopt($ch1, CURLOPT_SSL_VERIFYPEER, FALSE);
                    //         curl_setopt($ch1, CURLOPT_HTTPHEADER, array("Content-type= application/json"));
                    //         curl_setopt($ch1, CURLOPT_POST, true);
                    //         curl_setopt($ch1, CURLOPT_CONNECTTIMEOUT, $timeout1);
                    //         $result11 = curl_exec($ch1);
                    //         curl_close($ch1);
                    //         $response1 = json_decode($result11, true);
                    //     /*********************************Consume API Code******************************/
                    // }
                /*********************Transfer From Customer Parent**************************/

                /******Points Transfer To Email Notification********/
                // if($Communication_flag2 == 1)
                // {
                //     if($Communication_type2 == 1 || $Communication_type2 == 3)
                //     {
                //         $Template_type_id1 = 35;    $Email_type1 = 205;
                //         $point_transfer_to_template = lslDB::getInstance()->send_point_transfer_to_template($result1["Enrollment_id"],$Enrollment_id,$points_to_transfer,$Transfer_to_membershipid,$avail_bal2,$Company_id,$Email_type1,$Template_type_id1,$Today_date);   
                    
                //         /*********************************Consume API Code******************************/                                
                //             if($Communication_type2 == 1){ $Email_send_status2 = 1; }else{ $Email_send_status2 = 0; } 
                //             $Membership_id_encry2 = string_encrypt($result1['Membership_id'], $key, $iv);
                //             $point_transfer_to_template = json_decode($point_transfer_to_template);                                
                //             $Email_subject2 = $point_transfer_to_template->Email_Subject;
                //             $Email_body2 = $point_transfer_to_template->Email_Body;
                //             $Notification_ID2 = $point_transfer_to_template->Notification_ID;
                //             $bcc_email_address2 = $point_transfer_to_template->bcc_email_address;

                //             $fields2 = array
                //                 (
                //                     'Company_username' => $Company_username,
                //                     'Company_password' => $Company_password,
                //                     'Membership_ID' => $Membership_id_encry2,
                //                     'Email_subject' => $Email_subject2,
                //                     'Email_body' => $Email_body2,
                //                     'Notification_ID' => $Notification_ID2,
                //                     'Email_send_status' => $Email_send_status2,
                //                     'bcc_email_address' => $bcc_email_address2,
                //                     'Current_balance' => $result1['Current_balance'],
                //                     'Loyalty_points' => $points_to_transfer,
                //                     'Trantype_code' => "1",
                //                     'Trantype_desc' => "Points Transfer",
                //                     'Trantype' => "Credit"
                //                 );

                //             $field_string2 = $fields2;
                //             $ch2 = curl_init();
                //             $timeout2 = 0; // Set 0 for no timeout.
                //             curl_setopt($ch2, CURLOPT_URL, $Middleware_url);
                //             curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true);
                //             curl_setopt($ch2, CURLOPT_POSTFIELDS, http_build_query($field_string2)); 
                //             curl_setopt($ch2, CURLOPT_SSL_VERIFYPEER, FALSE);
                //             curl_setopt($ch2, CURLOPT_HTTPHEADER, array("Content-type= application/json"));
                //             curl_setopt($ch2, CURLOPT_POST, true);
                //             curl_setopt($ch2, CURLOPT_CONNECTTIMEOUT, $timeout2);
                //             $result12 = curl_exec($ch2);
                //             curl_close($ch2);
                //             $response2 = json_decode($result12, true);
                //         /*********************************Consume API Code******************************/
                //     }

                //     /*********************Send SMS******************/
                //         if($Communication_type2 == 2 || $Communication_type2 == 3)
                //         {
                //             if($Points_transfers_sms == 1)
                //             {
                //                 $transferpoints_to_smstemplate = lslDB::getInstance()->send_point_transfer_to_smstemplate($result1["Enrollment_id"],$Enrollment_id,$points_to_transfer,$Transfer_to_membershipid,$avail_bal2,$Company_id,$Email_type1,$Template_type_id1,$Today_date); 
                //             }
                //         }
                //     /*********************Send SMS Ends*************/
                // }
                /******Points Transfer To Email Notification********/

                /*********************Transfer To Customer Parent**************************/
                    // if($result1["Parent_enroll_id"] > 0)
                    // {
                    //     $Template_type_id1 = 35;    $Email_type1 = 205;
                    //     $point_transfer_to_template44 = lslDB::getInstance()->send_point_transfer_to_template99($result1["Enrollment_id"],$Enrollment_id,$points_to_transfer,$Transfer_to_membershipid,$Transferto_parent_avail_bal,$Company_id,$Email_type1,$Template_type_id1,$Today_date,$result1["Parent_enroll_id"]); 
                    
                    //     /*********************************Consume API Code******************************/     
                    //         $member_details_result2 = lslDB::getInstance()->get_user_details3($result1["Parent_enroll_id"],$Company_id);
                    //         $member_details3 = mysqli_fetch_array($member_details_result3);
                    //         if($member_details3['Communication_flag'] == 1){ $Email_send_status3 = 1; }else{ $Email_send_status3 = 0; } 
                    //         $Membership_id_encry3 = string_encrypt($member_details3['Membership_id'], $key, $iv);
                    //         $point_transfer_to_template44 = json_decode($point_transfer_to_template44);                                
                    //         $Email_subject3 = $point_transfer_to_template44->Email_Subject;
                    //         $Email_body3 = $point_transfer_to_template44->Email_Body;
                    //         $Notification_ID3 = $point_transfer_to_template44->Notification_ID;
                    //         $bcc_email_address3 = $point_transfer_to_template44->bcc_email_address;

                    //         $fields3 = array
                    //             (
                    //                 'Company_username' => $Company_username,
                    //                 'Company_password' => $Company_password,
                    //                 'Membership_ID' => $Membership_id_encry3,
                    //                 'Email_subject' => $Email_subject3,
                    //                 'Email_body' => $Email_body3,
                    //                 'Notification_ID' => $Notification_ID3,
                    //                 'Email_send_status' => $Email_send_status3,
                    //                 'bcc_email_address' => $bcc_email_address3,
                    //                 'Current_balance' => $member_details3['Current_balance'],
                    //                 'Loyalty_points' => $points_to_transfer,
                    //                 'Trantype_code' => "1",
                    //                 'Trantype_desc' => "Points Transfer",
                    //                 'Trantype' => "Credit"
                    //             );

                    //         $field_string3 = $fields3;
                    //         $ch3 = curl_init();
                    //         $timeout3 = 0; // Set 0 for no timeout.
                    //         curl_setopt($ch3, CURLOPT_URL, $Middleware_url);
                    //         curl_setopt($ch3, CURLOPT_RETURNTRANSFER, true);
                    //         curl_setopt($ch3, CURLOPT_POSTFIELDS, http_build_query($field_string3)); 
                    //         curl_setopt($ch3, CURLOPT_SSL_VERIFYPEER, FALSE);
                    //         curl_setopt($ch3, CURLOPT_HTTPHEADER, array("Content-type= application/json"));
                    //         curl_setopt($ch3, CURLOPT_POST, true);
                    //         curl_setopt($ch3, CURLOPT_CONNECTTIMEOUT, $timeout3);
                    //         $result13 = curl_exec($ch3);
                    //         curl_close($ch3);
                    //         $response3 = json_decode($result13, true);
                    //     /*********************************Consume API Code******************************/
                    // }
                /*********************Transfer To Customer Parent**************************/
  
                if($saveBeneficiary == "checked"){
                  

                }

                $TransferMember_balance = $member_details['Current_balance'] - $member_details['Blocked_points'];
                $status_message = "Transfer successful ".$points_to_transfer." points transferred";
                echo json_encode(array("status" => "1001", "Current_balance" => $TransferMember_balance, "status_message" => $status_message));die;   //"Current_balance" => $TransferMember_balance, 
            }
            else
            {
                echo json_encode(array("status" => "2017", "status_message" => "Invalid Transfer to membership ID"));die;
            }
        }
    }
}

}else {
 echo json_encode(array("status" => "4004", "status_message" => "Currently not logged in"));die;	
}





//***********************Functions***************************
function string_encrypt($string, $key, $iv)
{
    // $block = mcrypt_get_block_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_CBC);
    // $padding = $block - (strlen($string) % $block);
    // $string .= str_repeat(chr($padding), $padding);

    // $crypted_text = mcrypt_encrypt
    //                 (
    //                     MCRYPT_RIJNDAEL_256, 
    //                     $key, 
    //                     $string, 
    //                     MCRYPT_MODE_CBC, $iv
    //                 );
    return base64_encode($string,$key,$iv);
}
?>