<?php 
include_once('../includes/html_head.php');
include_once('../includes/header.php');
include_once('../includes/ad_banner.php');

$header = array('content-type: application/json');
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => "vouchers.perxclm.com/voucher_service_api.php?api=get_all_partners",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 600,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_SSL_VERIFYPEER => FALSE,
    CURLOPT_HTTPHEADER => $header,
));
$response = curl_exec($curl);
$res = json_decode($response, true);

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="voucher.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"></script>
    <title>Vouchers</title>
    <style>
            body{
                font-family: 'Inter';
            }
            .header{
                /* position:relative; */
                background-image: url("./images/voucher_banner.png");
                background-size: cover;
                background-position: center center;
                background-repeat:no-repeat;
                height:40vh;
                display:flex;
                align-items: center;
                justify-content: center;
                width:100%;
            }

            .header-text {
            text-align:center;
            color:white;
            font-weight: 500;
            font-size: 30px;
            line-height: 120%;
            }
        </style>
</head>

<body>
    <!--Header-->
    <div class="header" >
        <h1 class="header-text">Grab A Voucher With Your Coins</h1>
    </div>
        
    <div class="container">
        <div class="row my-5 mx-2 w-100 px-1">
            <?php foreach ($res[0] as $result) { ?>
            <div class="col-lg-4 col-md-4 col-sm-12 py-5 ">
                <img class="img-fluid rounded" src="<?php echo $result['partner_logo']?>" style="object-fit: cover;width:286px; height:250px;">
                <h5 class="pt-3" style="color:#1F1F1F; text-transform: capitalize;"><?php echo $result['partner_name']; ?></h5>
                <a class="btn" href="new-single-voucher.php?id=<?php echo $result['partner_id'];?>" style="background:#F0BD2D; padding:12px 76px; border:2px solid black; border-radius: 4px; font-size:14px">Generate Voucher</a>
            </div>
            <?php }?>
        </div>
    </div>
</body>

</html>

<?php include('../includes/footer.php'); ?>