<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");    
header("Access-Control-Allow-Methods: GET, POST, DELETE, OPTIONS");    
header("Access-Control-Max-Age: 3600");   
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, token, X-Requested-With");

ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL);
//session_name("first_bank_loyalty");
// session_start();

//print_r($_SESSION);
include('curl_service.php');
include('config_service.php');
require_once("../includes/connect.php");
include_once('../includes/actions.php');

//$fidelity_middleware_url = "https://perx3fidelity.com/middleware/perx_middleware/public/"; // Old Middleware server ie LSL SERVER
//$fidelity_middleware_url = "https://devops.fidelitybank.ng/fidelityLSLServerside/public/"; // New Middleware server ie FIDELITY SERVER 
$fidelity_middleware_url = "https://digital.fidelitybank.ng/FidelityLSLServerside/public/"; //Most Recent middleware url
//require ('lib/qrcode/vendor/autoload.php');
//require ('lib/qrcode/vendor/tecnickcom/tc-lib-barcode/src/Barcode.php');
//use \Com\Tecnick\Barcode\Barcode;

#step one: check points balance
#step two: deduct points
#step three save to cart
#step four: hit redemption endpoint
#step five: credit user  on error
#step six: save transaction

/*

$servername="localhost";
$dbname="first_bank_loyalty_program";
$dbpassword=".demo@FB22.";
$dbusername="first_bank_loyal";

*/

class RedeemAPI{
     
    //public $endpoint='https://perxapi2.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    public function __construct(){
        // $dbname='perx2ins_lsllivesite';
        $this->servername="localhost";
        $this->dbname="perxlive_first_bank_loyalty_program";
        $this->dbpassword="DEMO@2022..";
        $this->dbusername="green_reward2";
        $this->conn = new mysqli($this->servername,$this->dbusername,$this->dbpassword,$this->dbname) or die(mysqli_error($this->conn));
    }
    
    public function checkPointBalance($endpoint, $cost){
        $data = json_decode(CurlService::make_get($endpoint, ConfigService::get_header()), true);
        if ($data){
            $balance = $data['profile'][0]["Current_balance"];
            if ($balance < $cost){
                return" 0 . $balance  ";
            }else{
                return 1;
            }
        }
        return 404 . $data['profile'][0]["Current_balance"];
    }
    
    public function deductPointsFromUser($cost, $membership_id){
        //$cost = $cost;
        $this->sql = "select Current_balance from lsl_enrollment_master WHERE Membership_id = '$membership_id' LIMIT 1 ";
        $get_user = $this->conn->query($this->sql) or die($this->conn->error);
        if ($get_user->num_rows > 0){
            $row = $get_user->fetch_assoc();
            $this->Current_balance = $row['Current_balance'] - $cost;
            $update_balance = $this->conn->query("update lsl_enrollment_master SET Current_balance='$this->Current_balance' WHERE Membership_id = '$membership_id'") or die($this->conn->error);
            if($update_balance){
                return 1;
            }else{
                 return 0;
            }
        }
        return 404;
    }
    
    public function addPointsToUser($cost, $membership_id){
        $sql = "select Current_balance from lsl_enrollment_master WHERE Membership_id = '$membership_id' LIMIT 1 ";
        $get_user = $this->conn->query($sql) or die($this->conn->error);
        if ($get_user->num_rows > 0){
            $row = $get_user->fetch_assoc();
            $Current_balance = $row['Current_balance'] + intval($cost);
            $update_balance = $this->conn->query("update lsl_enrollment_master SET Current_balance='$Current_balance' WHERE Membership_id = '$membership_id'") or die($this->conn->error);
            if($update_balance){
                return 1;
            }else{
                 return 0;
            }
        }
        return 404;
    }
    
    public function addToPointDebit($points, $member_id){
        //$value = $this->conn->query("SELECT * FROM lsl_enrollment_master WHERE M")
        $this->conn->query("UPDATE `lsl_enrollment_master` SET `Total_redeem_points` = `Total_redeem_points` + '$points' WHERE Membership_id = '$member_id'");
        
    }
    
    
    public function make_curl($url){

          $curl = curl_init();
        
          curl_setopt_array($curl, array(
          CURLOPT_URL => $url,
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => '',
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 0,
          CURLOPT_FOLLOWLOCATION => true,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => 'GET',
          CURLOPT_HTTPHEADER => array(
            'token: 13b196c5b4060ad51e269b0471ab935c'
          ),
        ));
        
        $response = curl_exec($curl);
        
        curl_close($curl);
        return $response;
            }
            
            public function getPointDefinition(){
            $loyaltyprogid = 3;//$_SESSION['loyaltyprogid'];
            $sql = "select * from lsl_loyalty_program_master where Loyalty_program_id = '$loyaltyprogid' and Active_flag = '1' limit 1";
            $query = $this->conn->query($sql);
            if($query->num_rows > 0){
                while($row = $query->fetch_assoc()){
                    $data = $row['Points_value_definition'];
                }
            
            return $data;
        }
            }    
            
        public static function make_post($url, $data) {
   
          $curl = curl_init();
        // if($url == null){
        //     //$url = 'rewardsboxnigeria.com/email_service_v2/sendmail.php';
        //     $url = "https://vouchers.perxclm.com/voucher_service_api.php?api=redeem_voucher&id='.$voucher_id.'";
        // }
        curl_setopt_array($curl, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $data
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        //echo $response;
        if($response){
            return $response;
        }
        return 0;
        }
            
        public function resolveVoucherTransaction($voucher_id){
         
            $url3 = "http://demo-vouchers.perxclm.com/voucher_service_api.php?api=redeem_voucher&id=$voucher_id";
            $data = [];
            $res = [];
            $redeem_voucher = json_decode($this->make_post($url3, $data), true);
            
            if ($redeem_voucher['status'] == 200){
              $res['status'] = 200;
              $res['message'] = $redeem_voucher['message']; 
            }else{
                  $res = array("status"=>404, "message"=>"no code found.");
            }
            return json_encode($res);
        }
        
        
        public function getPartnerLocations($partner_id){
            $array = array();
            $partner = $this->conn->query("SELECT * FROM voucher_partner_location_link WHERE partner_id = '$partner_id' LIMIT 1");
            if($partner->num_rows > 0) {
                // while ($row = $partner->fetch_assoc()) {
                //     //$single_partner = array("status" => 200, "message" => $row['name']);
                //     // array_push($array, $row['name']);
                // }
                $str = $partner->fetch_assoc();
                // $str = implode(" ", $array);
                // $str .= " etc.";
                return $str['link'];
            }
        }
        
        
        public function makeTemplate($url, $member_id, $partner_id, $link, $points, $partner_name, $item_name, $actual_worth, $qrcode=null){
            
            $fidelity_middleware_url = $url."whoami?loyalty_number=$member_id";
            $data = json_decode($this->make_curl($fidelity_middleware_url), true);
            $query = $this->conn->query("SELECT * FROM lsl_voucher_templates WHERE partner_id='$partner_id' LIMIT 1");
            if ($query->num_rows == 0){
                
                $query = $this->conn->query("SELECT * FROM lsl_voucher_templates WHERE partner_id=0 LIMIT 1");
                
            }
            while($template = $query->fetch_assoc()){
                $body = $template['body']; 
                $subject = $template['subject'];
               
            }
            
            $point_balance = json_decode($this->make_curl('https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$member_id), true);
            $parameters = array("\$Firstname", "\$Lastname", "\$membership_ID", "\$Uber_voucher_link", "\$point_spent", "\$point_balance", "\$partner_locations", "\$voucher_number", "\$points_spent", "\$date", "\$time", "\$partner_name", "\$item_name", "\$value", "\$qr-code");
            $arguments = array($data['first_name'], $data['last_name'], $member_id, $link, $points, number_format($point_balance['profile'][0]['Current_balance']), $this->getPartnerLocations($partner_id), $link, number_format($points), date("l jS \of F Y"), date("h:i:s A"), $partner_name, $item_name, number_format($actual_worth), $qrcode);
            $replaced_body = str_ireplace($parameters, $arguments, $body);
               
            return json_encode(array("subject"=>$subject, "body"=>$replaced_body));
           
        }
        
    public function makeQR($voucher_code){
        
        
            $barcode = new \Com\Tecnick\Barcode\Barcode();
            $targetPath = "lib/qrcode/files";
            
            if (! is_dir($targetPath)) {
                mkdir($targetPath, 0777, true);
            }
            $bobj = $barcode->getBarcodeObj('QRCODE,H', $voucher_code, - 16, - 16, 'black', array(
                - 2,
                - 2,
                - 2,
                - 2
            ))->setBackgroundColor('#f0f0f0');
            
            $imageData = $bobj->getPngData();
            $timestamp = time();
            
            file_put_contents($timestamp . '.png', $imageData);
            $im = imagecreatefrompng($timestamp . '.png');
            imagepng($im, "$targetPath/$timestamp" . '.png', null, PNG_ALL_FILTERS);
            // echo 
            //  'https//' .$_SERVER['HTTP_HOST'] . '/lib/qrcode/files/' . $timestamp . '.png';
            return 'https://' .$_SERVER['HTTP_HOST'] . '/lib/qrcode/files/' . $timestamp . '.png';
   
    } 
 
    
    
}
 $api = new RedeemAPI();
 $membership_id = "123412";
if (isset($_POST['signature']) && isset($_POST['customerfield']) && isset($_POST['api_type']) && $_POST['api_type'] == 'bills_redemption'){
    //print_r($_POST);
    $current_datetime = date("Y/m/d")." ".date("h:i:sa");
    $membership_id = "123412";
    //$_SESSION['memberid'] = $_SESSION['memberid'] ? $_SESSION['memberid'] :9999; 
    // $endpoint='https://perxapi2.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $endpoint= "http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$_POST["memberid"];
    //$cost = ceil(($_POST['price'] * $api->getPointDefinition()) + ($_POST['price']/10));
    $cost = $_POST['price'];
    //GET CUSTOMER NAMES FROM MIDDLEWARE
    //$fidelity_middleware_url.="whoami?loyalty_number={$_SESSION['memberid']}";
    $output = json_decode($api->make_curl($endpoint), true);
    //echo json_encode($output); return 7;
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_POST["memberid"]) == 1){
            $customer_id = $_POST['customer_id'];
            $firstname = $output['profile'][0]['First_name'];
            $lastname = $output['profile'][0]['Last_name'];
            $member_no = $membership_id;
            $price = $_POST['price'];
            $signature = str_replace("Array","", $_POST['signature']);
            $email = "nwidehifeanyi@gmail.com";
            $phone_no = trim($_POST['phone_no']);
            $packagename = $_POST['packagename'];
            $customerfield = $_POST['customerfield'];
            $payload['customer_id'] = $_POST['customer_id'];
            $payload['member_no'] = $membership_id;
            $payload['price'] = $_POST['price'];
            $payload['signature'] = $_POST['signature'];
            //echo $_POST['signature'] . " === " . $signature;//product_category
            $payload['email'] = $_POST['email'];
            $payload['phone_no'] = $_POST['phone_no'];
            $payload['packagename'] = $_POST['packagename'];
            $payload['customerfield'] = $_POST['customerfield'];
            $payload['redeemType'] = "bills redemption";
            //echo json_encode($payload);return 8;
            
            // ######### hit live rewardsbox for redemption #########
            $ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=bills_purchase&signature=" . $_POST['signature'] . "&customer_id=$customer_id&member_no=$membership_id&email=$email&price=$price&customerfield=$customerfield&packagename=$packagename&phone_no=$phone_no";
            $data2 = $api->make_curl(str_replace(" ", "%20", $ep));
            $data = json_decode($data2, true);
            if ($data){
                if ($data['status'] == 0){
                    $api->addPointsToUser($cost, $_POST['memberid']);
                    echo json_encode(['data' => $data, 'status' => '400', 'failed' => 'Yes.'], 200);
                    return;
                }else{
                    
                    
                    
                    
        $billsTemplate = $action->getTemplate(2);
        if ($billsTemplate['status'] == 1) { 
        //$point_balance = json_decode($api->make_curl('https://perxapi2.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid']), true);
        $point_balance = json_decode($api->make_curl("http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$_POST["memberid"]), true);
        $searc =  array("\$firstname", "\$Lastname", "\$membershipID", "\$package_name", "\$current_balance", "\$points_spent", "\$datetime", "\$amount", '\$ref');
        $replac = array($firstname, $lastname, $_POST["memberid"], $packagename, $point_balance['profile'][0]['Current_balance'], $cost,$current_datetime,$price, '');
        $remail_content = str_ireplace($searc, $replac, $billsTemplate['body']);
        $plain_contents = str_ireplace($searc, $replac, $billsTemplate['plain_contents']);
        $action->createNotification($email,$_POST['memberid'],$billsTemplate['subject'],$remail_content,$plain_contents);
       
        }
                 $api->addToPointDebit($cost,  $_POST['memberid']);
                 //echo json_encode(['message' => $data['message'],'data'=>$payload, 'status' => 200, 'card'=>$api->deductPointsFromUser($cost,  $_POST['memberid'])], 200); live response form rewardsbox
                 echo json_encode(['message' => 'Bills Redemption Successful','data'=>$payload, 'status' => 200, 'card'=>$api->deductPointsFromUser($cost,  $_POST['memberid'])], 200);// test response 
                }

    ######### continuation of live rewardsbox code #########
            }else{
                 $api->addPointsToUser($cost, $_POST['memberid']);
                 echo json_encode(['data' => "no response", 'status' => 'fail'], 200);
        
            }
           
        }else{
          // $api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'No response from the network2' .  $membership_id, 'status' => 'fail', 'message'=>'could not process redemption'], 200);
        } // ######### end of live rewardsbox code #########
    }else{
            echo json_encode(['data' => 'No response from the network3', 'message'=>'Point balance not enough to continue this process', 'status' => 400], 200);
        }
}


else if(isset($_POST['api_type']) && $_POST['api_type'] == 'movie_redemption'){
    
    $endpoint="http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$_POST['memberid'];
    $cost = $_POST['price'] * $_POST['qty'] * $api->getPointDefinition();
    //GET CUSTOMER DETAILS FROM FIDELITY MIDDLEWARE USING THEIR MEMBERSHIP ID
            //$fidelity_middleware_url.="whoami?loyalty_number=".$_SESSION['memberid'];
            $response = json_decode($api->make_curl("http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$_POST['memberid']), true);
            //echo json_encode($response);return 8;
            // echo $fidelity_middleware_url;
            $datetime = date("Y/m/d")." ".date("h:i:sa");
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_POST['memberid']) == 1){
            //$customer_id = $_POST['customer_id'];
            $member_no = 123412; //$membership_id;
            $price = $_POST['price'];
            $location = $_POST['location'];
            $qty = $_POST['qty'];
            //$point_spent = $price * $qty * getPointDefinition();
            $signature = $_POST['signature'];
            $email = $response['profile'][0]['User_email_id'];//$_POST['email'];
            // $lslemail = "orders@rewardsboxnigeria.com"; //$response['email'];//$_POST['email'];
            $lslemail = "joachim.ojiodu@loyaltysolutionsnigeria.com";
            // $phone_no = 08035678811;//trim($response['phone']);//trim($_POST['phone_no']);
           $phone_no = "09071555451";// 08035678811;//trim($response['phone']);//trim($_POST['phone_no']);
            $firstname = isset($response['profile'][0]['First_name'])?$response['profile'][0]['First_name']:'Null';//$_POST['firstname'];
            // $firstname = "Kelechi"; //$response['first_name'];//$_POST['firstname'];
            $lastname = isset($response['profile'][0]['Last_name'])?$response['profile'][0]['Last_name']:'Null';
            // $lastname = "stephen"; //$response['last_name'];//$_POST['lastname'];
            $name = $_POST['name'];// Movie name
            $showtime = $_POST['show_time'];
            $type = $_POST['type'];
            //$customerfield = $_POST['customerfield'];
            $purpose= "cinema_purchase";
            $result['name'] = $name;
            $result['location'] = $location;
            $result['price'] = $price;
            $result['qty'] = $qty;
            $result['redeemType'] = "Movie Redemption";
            $result['movieTime'] = $showtime;
            // $result['name'] = $name;
            // $result['name'] = $name;
            
             //echo json_encode(['data' => $data['message'], 'status' => '200'], 200); return;
          
            //$ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=cinema_purchase&signature=$signature&quantity=$qty&member_no=$membership_id&email=$lslemail&price=$price&first_name=$firstname&last_name=$lastname&phone_no=$phone_no&type=$showtime&type=$type";
            //$data2 = $api->make_curl(str_replace(" ", "%20", $ep));
            //echo $ep;
            //$data = json_decode($data2, true);
           // if ($data){
                // if ($data['status'] == 0){
                //     $api->addPointsToUser($cost, $_POST['memberid']);
                //     echo json_encode(['data' => $data['message'], 'status' => '400', 'failed' => 'Yes'], 200); return;
                //     //return;
                // }else{
                
               //send mail to customer here 
               
    // if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
    //     $mailsql = "SELECT subject, body, status FROM cinema_template WHERE id='1' and status = '1' LIMIT 1";
    //     $mailQuery = mysqli_query($conn, $mailsql);
    //     $trow = mysqli_fetch_array($mailQuery);
    //     $emailsubj = $trow['subject'];
    //     $emailcontent = $trow['body'];
    //     $status = $trow['status'];
    
        $cinemaTemplate = $action->getTemplate(1);
        if ($cinemaTemplate['status'] == 1) {
        $point_balance = json_decode($api->make_curl("http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$_POST['memberid']), true);
        $searc =  array("\$firstname", "\$Lastname", "\$membershipID","\$phoneNumber", "\$location", "\$bookingID", "\$currentBalance", "\$point_spent", "\$movieName", "\$ticketCount", "\$datetime", "\$amount", "\$points_redeemed", "\$grandTotalPoints", "\$program");
        //$replac = array($firstname, $lastname, $_POST['memberid'], $location, $data['voucher_code'], number_format($point_balance['profile'][0]['Current_balance']), number_format($cost),$name,$qty,$showtime, number_format($cost), number_format($cost), number_format($cost),"Green Reward Program");
        $replac = array($firstname, $lastname, $_POST['memberid'],$phone_no, $location, strtoupper(substr(md5(time()), 0, 14)), number_format($point_balance['profile'][0]['Current_balance']), number_format($cost),$name,$qty,$showtime, number_format($cost), number_format($cost), number_format($cost),"FirstBank Reward Program");
        //$remail_content = str_ireplace($searc, $replac, $emailcontent);
        $remail_content = str_ireplace($searc, $replac, $cinemaTemplate['body']);
        $plain_contents = str_ireplace($searc, $replac, $cinemaTemplate['plain_contents']);
        $action->createNotification($email,$_POST['memberid'],$cinemaTemplate['subject'],$remail_content,$plain_contents);

        //     $queries = array(
        //         "email"=> $email,
        //         "body"=>$remail_content,
        //         "subject"=>$emailsubj,
        //   );
    
        //   $ch = curl_init("rewardsboxnigeria.com/email_service_v2/sendmail3.php");
        //   curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        //   curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($queries));
        //   curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //   curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        //   $response = curl_exec($ch);
       
        }
        
   // }
          $api->addToPointDebit($cost,  $_POST['memberid']);  
         //echo json_encode(['data' => $data['message'], 'status' => '200'], 200); return;
         echo json_encode(['status' => '200', 'message' => 'Movie Ticket Redeemed Successfully','data'=>$result], 200); return;
               // }
                 //return;
            // }else{
            //      $api->addPointsToUser($cost, $_SESSION['memberid']);
            //      echo json_encode(['data' => "no response", 'status' => 'fail'], 200); return;
            // //return;
            // }
           
        }else{
            //$api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'Transaction failed please try again' . $api->deductPointsFromUser($cost,  $_POST['memberid']) . $membership_id, 'status' => 'fail'], 200); return;
        }
    }else{
            echo json_encode(['data' => 'No response from the network3' . $api->checkPointBalance($endpoint, $cost) . $endpoint, 'status' => 'fail'], 200); return;
        }
    
    
}

else if(isset($_POST['api_type']) && $_POST['api_type'] == 'redeem_uber'){
    
    $endpoint='https://perxapi2.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $cost = $_POST['price'] * $_POST['qty'];
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_SESSION['memberid']) == 1){
            //$customer_id = $_POST['customer_id'];
            $member_no = $membership_id;
            $price = $_POST['price'];
            $email = $_POST['email'];
            $signature = $_POST['signature'];
            $qty = $_POST['qty'];
            $phone_no = trim($_POST['phone_no']);
            $packagename = str_replace(' ', '%20', $_POST['packagename']);
            $max_quantity = $_POST['max_quantity'];
            //$api_type = 
            //api_type:redeem_uber
            $purpose = "uber_purchase";
                
            /* 
            
            $payload = [
            'quantity' => $request->qty,
            'price' => $request->price,
            'signature' => $request->signature,
            'phone_no' => $request->phone_no,
            'email' => $request->email,
            'first_name' => $request->firstname,
            'last_name' => $request->lastname,
            'member_no' => Auth()->user()->member_id,
            'ref_no' => $cartItemId
        ];
            
            */
            $ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=uber_purchase&signature=$signature&quantity=$qty&member_no=$membership_id&email=$email&price=$price&phone_no=$phone_no&packagename=$packagename&max_quantity=$max_quantity";
            $data2 = $api->make_curl(str_replace(" ", "%20", $ep));
            $data = json_decode($data2, true);
            //echo $ep;
            //print_r($data);
            if ($data){
                if ($data['status'] == 0){
                    $api->addPointsToUser($cost, $_SESSION['memberid']);
                    echo json_encode(['data' => $data['message'], 'status' => '400', 'failed' => 'Yes'], 200); return;
                    //return;
                }else{
                $api->addToPointDebit($cost,  $_SESSION['memberid']);
                echo json_encode(['data' => $data, 'status' => '200'], 200); return;
                }
                 //return;
            }else{
                 $api->addPointsToUser($cost, $_SESSION['memberid']);
                 echo json_encode(['data' => "no response", 'status' => 'fail'], 200); return;
            //return;
            }
           
        }else{
            $api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'No response from the network2', 'status' => 'fail'], 200); return;
        }
    }else{
            echo json_encode(['data' => 'No response from the network3', 'status' => 'fail'], 200); return;
        }
    
    
}


else if(isset($_POST['api_type']) && $_POST['api_type'] == 'lsl_voucher_redemption'){
    //echo "....";
    $endpoint='https://perxapi2.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $cost = $_POST['price'];
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_SESSION['memberid']) == 1){
            //$customer_id = $_POST['customer_id'];
            $member_no = $membership_id;
            $price = ceil($_POST['price']);
            $email = $_POST['email'];
            $signature = $_POST['signature'];
            $partner_name = $_POST['product_category'];
            //$qty = $_POST['qty'];
            //$phone_no = trim($_POST['phone_no']);
            $packagename = $_POST['packagename'];
            // $max_quantity = $_POST['max_quantity']?$_POST['max_quantity']:1;
            $voucher_id = $_POST['voucher_id'];
            $purpose = "lsl_voucher_redemption";
            $partner_id = $_POST['partner_id'];
           // echo json_encode(['data' => $data, 'status' => '200'], 200); return;
           $data = json_decode($api->resolveVoucherTransaction($voucher_id),true);
           //print_r($data); exit;
           $voucherCode = $data['message'];
           if ($data['status'] == 200){
               
               
               
           $customer_details = json_decode($api->makeTemplate($fidelity_middleware_url, $_SESSION['memberid'], $partner_id, $voucherCode, $price, $partner_name, $packagename, $_POST['actual_worth'], $api->makeQR($voucherCode)), true);
           $customer_details['to'] = $email;
           $customer_details['email'] = $email;
          //print_r($customer_details); exit;
           $api->make_post('rewardsboxnigeria.com/email_service_v2/sendmail.php',http_build_query($customer_details));
           $api->addToPointDebit($cost,  $_SESSION['memberid']);
            echo json_encode(['data' => $data['message'], 'status' => 200]); return;
            //echo json_encode($voucherCode);return;
           }else{
               
                echo json_encode(['data' => 'Transaction Failed, no voucher code found ' .  $voucher_id . ' .. ' . $data['sql'] , 'status' => 404]); return;
               
           }
        }else{
            //$api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'Transaction Failed', 'status' => 400]); return;
        }
    }else{
            echo json_encode(['data' => 'No response from the network3', 'status' => 300]); return;
        }
    
    
}else if(isset($_POST['api_type']) && $_POST['api_type'] == 'lsl_event_redemption'){ 
   
    if($_POST['payload']){ 
    $output = json_decode($_POST['payload'], true);
    $custEmail = $output['email'];
    $event_name = $output['event_name'];
    $event_date = $output['event_date'];
    $event_location = $output['event_location'];
    $phone = $output['phone_no'];
    $member_no = $output['member_no'];
 
    $eventName = "";
    $datetime="";
    $location="";
    $ticketClass="";
    $ticketCount="";
    $downloadLink="";
    $event_amount = "";
    $tableRow = "";
    $totalCost = "";
    $results = [];
    echo json_encode(['status' => '200', 'message' => 'Event Redemption Temporarily Locked'], 200); return;
    foreach($output['data'] as $item){
        $resp = [];
         $title = $item['title'];
         $amount = $item['price'];
         $quantity = $item['quantity'];
         $signature = $item['token'];
         
         //echo json_encode(['data' => $title, 'status' => '900'], 900); return;
         

    //$endpoint='https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$member_no;
    $endpoint = "http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$output['member_no'];
    $cost = $amount * $quantity * $api->getPointDefinition();
    return
    //GET CUSTOMER DETAILS FROM FIDELITY MIDDLEWARE USING THEIR MEMBERSHIP ID
    
            //$fidelity_middleware_url.="whoami?loyalty_number=".$member_no;
            //$response = json_decode($api->make_curl($fidelity_middleware_url), true);
            //print_r($response['first_name']); return 0;
            $datetime = date("Y/m/d")." ".date("h:i:sa");
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $output['member_no']) == 1){
        $custDetails = json_decode($api->make_curl("http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$output['member_no']), true);
            $memberNumber = 123412;
            $price = $amount;
            $quantity = $quantity;
            $lslemail = "orders@rewardsboxnigeria.com"; //$response['email'];//$_POST['email'];
            //$lslemail = "nwidehifeanyi@yahoo.com";
            $phone_no = $phone;
            $cust_firstname = $custDetails['profile'][0]['First_name'];
            $cust_lastname = $custDetails['profile'][0]['Last_name']; 
            $custEmail = $custDetails['profile'][0]['User_email_id'];
        
           
   // POINTS TO LIVE REWARDSBOX ENDPOINT
        //     $ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=event_purchase&signature=$signature&quantity=$quantity&member_no=$memberNumber&email=$lslemail&price=$amount&phone_no=$phone";
        //     $data2 = $api->make_curl(str_replace(" ", "%20", $ep));
        //     $data = json_decode($data2, true);
        //     if ($data){
        //         if ($data['status'] == 0){
        //             $api->addPointsToUser($cost, $member_no);
        //             echo json_encode(['data' => $data['message'], 'status' => '400', 'failed' => 'Yes'], 200); return;
        //             //return;
        //         }else{
                
        //   $api->addToPointDebit($cost,  $member_no);  
        //  echo json_encode(['data' => $data['message'], 'status' => '200'], 200); return;
        //         }
        //     }else{
        //          $api->addPointsToUser($cost, $member_no);
        //          echo json_encode(['data' => "no response", 'status' => 'fail'], 200); return;
        //     }
            
            $eventName = $event_name;
            $datetime = $event_date;
            $location = $event_location;
            $ticketClass = $title;
            $ticketCount = $quantity;
            $downloadLink = "https://www.nairabox.com/v1/tickets/download/?id=632b25ef54682557199f0b9e";
            $totalCost += $cost;
            
            $tableRow .= '
                   <tr>
              <td style="text-align: left;">
                <p>Event:</p>
                 <p>Date and Time of Event</p>
                <p>Event Location</p>
                <p>Class of Ticket Bought</p>
                <p>Ticket Count</p>
              </td>
              
              <td style="text-align: center;">
                  <p>'.$eventName.'</p>
                 <p>'.$datetime.'</p>
                <p>'.$location.'</p>
                <p>'.$ticketClass.'</p>
                <p>'.$ticketCount.'</p>
              </td>
                
              <td style="text-align: right;">
                    <p>Download your ticket here</p>
              <a href="'.$downloadLink.'" class="button">Download</a>
              </td>
       </tr>';
        
        // }else{
        //     //$api->addPointsToUser($cost, $_SESSION['memberid']);
        //     echo json_encode(['data' => 'Transaction failed please try again' . $api->deductPointsFromUser($cost,  $member_no) . $membership_id, 'status' => 'fail'], 200); return;
        // }
        $resp['redeemType'] = "event";
         $resp['eventName'] = $eventName;
        $resp['ticketClass'] = $ticketClass;
        $resp['ticketQty'] = $ticketCount;
        $resp['price'] = $cost;
        $results[] = $resp;
    }
    }else{
            echo json_encode(['data' => 'No response from the network3' . $api->checkPointBalance($endpoint, $cost) . $endpoint, 'status' => 'fail'], 200); return;
        }
    }
    
                //send mail to customer here 
            //if (filter_var($custEmail, FILTER_VALIDATE_EMAIL)) {
        // $mailsql = "SELECT subject, body, status FROM cinema_template WHERE id='3' and status = '1' LIMIT 1";
        // $mailQuery = mysqli_query($conn, $mailsql) or die (mysqli_error($conn));
        // $trow = mysqli_fetch_array($mailQuery);
        // $emailsubj = $trow['subject'];
        // $emailcontent = $trow['body'];
        // $status = $trow['status'];
    $eventTemplate = $action->getTemplate(3);
        if ($eventTemplate['status'] == 1) {
        $point_balance = json_decode($api->make_curl("http://firstbank-api.premiumincentives.biz/api/profile?token=LSLonlypass&membership_id=".$output['member_no']), true);
        $searc =  array("\$firstname", "\$Lastname", "\$membershipID", "\$currentBalance", "\$pointSpent", "\$grand_points_spent", "\$tableRow", "\$program");
        $replac = array($cust_firstname, $cust_lastname, $output['member_no'], number_format($point_balance['profile'][0]['Current_balance']), number_format($totalCost), number_format($totalCost), $tableRow, 'FirstBank Reward Program');
        $remail_content = str_ireplace($searc, $replac, $eventTemplate['body']);
        $plain_contents = str_ireplace($searc, $replac, $eventTemplate['plain_contents']);
        $action->createNotification($custEmail,$member_no,$eventTemplate['subject'],$remail_content,$plain_contents);
       
        //     $queries = array(
        //         "email"=> $custEmail,
        //         "body"=>$remail_content,
        //         "subject"=>$emailsubj,
        //   );
    
        //   $ch = curl_init("rewardsboxnigeria.com/email_service_v2/sendmail3.php");
        //   curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        //   curl_setopt($ch, CURLOPT_POSTFIELDS, $queries);
        //   curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //   curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        //   $response = curl_exec($ch);
       
        }
        
   // }
    
    echo json_encode(['status' => '200', 'message' => 'Event Redemption Successful, Please Check Your Mail For Your Ticket(s)','data' => $results ], 200); return;
    
    }else{
        echo json_encode(['data'=>'payload is required','status'=>'400']);
    }
}

?>