<?php
//ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL);
session_name("diamondgemzone");
session_start();
//print_r($_SESSION);
include('services/curl_service.php');
include('services/config_service.php');
require_once("../connect_db.php");

//$fidelity_middleware_url = "https://perx3fidelity.com/middleware/perx_middleware/public/"; // Old Middleware server ie LSL SERVER
$fidelity_middleware_url = "https://digital.fidelitybank.ng/fidelityLSLServerside/public/"; // New Middleware server ie FIDELITY SERVER

#step one: check points balance
#step two: deduct points
#step three save to cart
#step four: hit redemption endpoint
#step five: credit user  on error
#step six: save transaction

class RedeemAPI{
    
    
    public function __construct(){
        // $dbname='perx2ins_lsllivesite';
        $this->servername="localhost";
        $this->dbname="green_reward2";
        $this->dbpassword="DEMO@2022..";
        $this->dbusername="green_reward2";
        $this->conn = new mysqli($this->servername,$this->dbusername,$this->dbpassword,$this->dbname) or die(mysqli_error($this->conn));
    }
    
    public function checkPointBalance($endpoint, $cost){
        $data = json_decode(CurlService::make_get($endpoint, ConfigService::get_header()), true);
        if ($data){
            $balance = $data['profile'][0]["Current_balance"];
            if ($balance < $cost){
                return" 0 . $balance  ";
            }else{
                return 1;
            }
        }
        return 404 . $data['profile'][0]["Current_balance"];
        
    }
    
    public function deductPointsFromUser($cost, $membership_id){
        $sql = "select Current_balance from lsl_enrollment_master WHERE Membership_id = '$membership_id' LIMIT 1 ";
        $get_user = $this->conn->query($sql) or die($this->conn->error);
        if ($get_user->num_rows > 0){
            $row = $get_user->fetch_assoc();
            $Current_balance = $row['Current_balance'] - $cost;
            $update_balance = $this->conn->query("update lsl_enrollment_master SET Current_balance='$Current_balance' WHERE Membership_id = '$membership_id'") or die($this->conn->error);
            if($update_balance){
                return 1;
            }else{
                 return 0;
            }
        }
        return 404;
    }
    
    public function addPointsToUser($cost, $membership_id){
        $sql = "select Current_balance from lsl_enrollment_master WHERE Membership_id = '$membership_id' LIMIT 1 ";
        $get_user = $this->conn->query($sql) or die($this->conn->error);
        if ($get_user->num_rows > 0){
            $row = $get_user->fetch_assoc();
            $Current_balance = $row['Current_balance'] + intval($cost);
            $update_balance = $this->conn->query("update lsl_enrollment_master SET Current_balance='$Current_balance' WHERE Membership_id = '$membership_id'") or die($this->conn->error);
            if($update_balance){
                return 1;
            }else{
                 return 0;
            }
        }
        return 404;
    }
    
    public function make_curl($url){

          $curl = curl_init();
        
          curl_setopt_array($curl, array(
          CURLOPT_URL => $url,
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => '',
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 0,
          CURLOPT_FOLLOWLOCATION => true,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => 'GET',
          CURLOPT_HTTPHEADER => array(
            'token: 13b196c5b4060ad51e269b0471ab935c'
          ),
        ));
        
        $response = curl_exec($curl);
        
        curl_close($curl);
        return $response;
            }
            
        public static function make_post($data) {
   
          $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'rewardsboxnigeria.com/email_service_v2/sendmail.php',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $data
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
        if($response){
            return 1;
        }
        return 0;
        }
            
        public function resolveVoucherTransaction($voucher_id){
            $sql = "SELECT * from lsl_vouchers WHERE id='$voucher_id' LIMIT 1";
            $query = $this->conn->query("SELECT * from lsl_vouchers WHERE id='$voucher_id' LIMIT 1");
            if($query->num_rows > 0){
                while($row = $query->fetch_assoc()){
                    $data = array("status"=>200, "message"=>$row['voucher_code']);
                }
            }else{
                $data = array("status"=>404, "message"=>"no code found $sql");
            }
            return json_encode($data);
            
        }
        
        
        public function getPartnerLocations($partner_id){
            $array = array();
            $partner = $this->conn->query("SELECT * FROM voucher_partner_branches WHERE company_id = '$partner_id' ");
            if($partner->num_rows > 0) {
                while ($row = $partner->fetch_assoc()) {
                    //$single_partner = array("status" => 200, "message" => $row['name']);
                    array_push($array, $row['name']);
                }
                $str = implode(" ", $array);
                $str .= " etc.";
                return $str;
            }
        }
        
        
        public function makeTemplate($url, $member_id, $partner_id, $link, $points, $partner_name, $actual_worth){
            
            $fidelity_middleware_url = $url."whoami?loyalty_number=$member_id";
            $data = json_decode($this->make_curl($fidelity_middleware_url), true);
            $query = $this->conn->query("SELECT * FROM lsl_voucher_templates WHERE partner_id='$partner_id' LIMIT 1");
            while($template = $query->fetch_assoc()){
                $body = $template['body']; $subject = $template['subject'];
               
            }
            $parameters = array("\$Firstname", "\$Lastname", "\$membership_ID", "\$Uber_voucher_link", "\$point_spent", "\$point_balance", "\$partner_locations", "\$voucher_number", "\$points_spent", "\$date", "\$time", "\$partner_name", "\$value");
            $point_balance = json_decode($this->make_curl('https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$member_id), true);
            $arguments = array($data['first_name'], $data['last_name'], $member_id, $link, $points, $point_balance['profile'][0]['Current_balance'], $this->getPartnerLocations($partner_id), $link, $points, date("l jS \of F Y"), date("h:i:s A"), $partner_name, $actual_worth);
            $replaced_body = str_ireplace($parameters, $arguments, $body);
                return json_encode(array("subject"=>$subject, "body"=>$replaced_body));
           
            
           
            
        }
 
    
    
}
 $api = new RedeemAPI();
 $membership_id = "123412";

if (isset($_POST['signature']) && isset($_POST['customer_id'])){
   
    $membership_id = "123412";
    $_SESSION['memberid'] = $_SESSION['memberid'] ? $_SESSION['memberid'] :9999; 
    $endpoint='https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $cost = $_POST['price'];
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_SESSION['memberid']) == 1){
            $customer_id = $_POST['customer_id'];
            $member_no = $membership_id;
            $price = $_POST['price'];
            $signature = $_POST['signature'];
            $email = $_POST['email'];
            $phone_no = trim($_POST['phone_no']);
            $packagename = $_POST['packagename'];
            $customerfield = $_POST['customerfield'];
            //$payload['api'] = "bills_purchase";
            $payload['customer_id'] = $_POST['customer_id'];
            $payload['member_no'] = $membership_id;
            $payload['price'] = $_POST['price'];
            $payload['signature'] = $_POST['signature']; //product_category
            $payload['email'] = $_POST['email'];
            $payload['phone_no'] = $_POST['phone_no'];
            $payload['packagename'] = $_POST['packagename'];
            $payload['customerfield'] = $_POST['customerfield'];
            $ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=bills_purchase&signature=$signature&customer_id=$customer_id&member_no=$membership_id&email=$email&price=$price&customerfield=$customerfield&packagename=$packagename&phone_no=$phone_no";
            // echo json_encode(['data' => $data['message'], 'status' => '200']);
            // return;
            $data2 = $api->make_curl(str_replace(" ", "%20", $ep));
            $data = json_decode($data2, true);
            if ($data){
                if ($data['status'] == 0){
                    $api->addPointsToUser($cost, $_SESSION['memberid']);
                    echo json_encode(['data' => $data['message'], 'status' => '400', 'failed' => 'Yes'], 200);
                    //return;
                }else{
                
                 echo json_encode(['data' => $data['message'], 'status' => '200'], 200);
                }
                 //return;
            }else{
                 $api->addPointsToUser($cost, $_SESSION['memberid']);
                 echo json_encode(['data' => "no response", 'status' => 'fail'], 200);
            //return;
            }
           
        }else{
            $api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'No response from the network2' . $api->deductPointsFromUser($cost,  $_SESSION['memberid']) . $membership_id, 'status' => 'fail'], 200);
        }
    }else{
            echo json_encode(['data' => 'No response from the network3' . $api->checkPointBalance($endpoint, $cost) . $endpoint, 'status' => 'fail'], 200);
        }
    
    
}
else if(isset($_POST['api_type']) && $_POST['api_type'] == 'movie_redemption'){
    
    
    
    $endpoint='https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $cost = $_POST['price'] * $_POST['qty'];
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_SESSION['memberid']) == 1){
            //$customer_id = $_POST['customer_id'];
            $member_no = $membership_id;
            $price = $_POST['price'];
            $qty = $_POST['qty'];
            $signature = $_POST['signature'];
            $email = $_POST['email'];
            $lslemail = "adesola@loyaltysolutionsnigeria.com";
            $phone_no = trim($_POST['phone_no']);
            $firstname = $_POST['firstname'];
            $lastname = $_POST['lastname'];
            $name = $_POST['name'];
            $showtime = $_POST['show_time'];
            $type = $_POST['type'];
            //$customerfield = $_POST['customerfield'];
            $purpose= "cinema_purchase";
          
            $ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=cinema_purchase&signature=$signature&quantity=$qty&member_no=$membership_id&email=$lslemail&price=$price&first_name=$firstname&last_name=$lastname&phone_no=$phone_no&type=$showtime&type=$type";
            $data2 = $api->make_curl(str_replace(" ", "%20", $ep));
            //echo $ep;
            $data = json_decode($data2, true);
            if ($data){
                if ($data['status'] == 0){
                    $api->addPointsToUser($cost, $_SESSION['memberid']);
                    echo json_encode(['data' => $data['message'], 'status' => '400', 'failed' => 'Yes'], 200); return;
                    //return;
                }else{
                
                 echo json_encode(['data' => $data['message'], 'status' => '200'], 200); return;
                }
                 //return;
            }else{
                 $api->addPointsToUser($cost, $_SESSION['memberid']);
                 echo json_encode(['data' => "no response", 'status' => 'fail'], 200); return;
            //return;
            }
           
        }else{
            //$api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'Transaction failed please try again' . $api->deductPointsFromUser($cost,  $_SESSION['memberid']) . $membership_id, 'status' => 'fail'], 200); return;
        }
    }else{
            echo json_encode(['data' => 'No response from the network3' . $api->checkPointBalance($endpoint, $cost) . $endpoint, 'status' => 'fail'], 200); return;
        }
    
    
}

else if(isset($_POST['api_type']) && $_POST['api_type'] == 'redeem_uber'){
    
    
    
    $endpoint='https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $cost = $_POST['price'] * $_POST['qty'];
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_SESSION['memberid']) == 1){
            //$customer_id = $_POST['customer_id'];
            $member_no = $membership_id;
            $price = $_POST['price'];
            $email = $_POST['email'];
            $signature = $_POST['signature'];
            $qty = $_POST['qty'];
            $phone_no = trim($_POST['phone_no']);
            $packagename = str_replace(' ', '%20', $_POST['packagename']);
            $max_quantity = $_POST['max_quantity'];
            //$api_type = 
            //api_type:redeem_uber
            $purpose = "uber_purchase";
                
            /* 
            
            $payload = [
            'quantity' => $request->qty,
            'price' => $request->price,
            'signature' => $request->signature,
            'phone_no' => $request->phone_no,
            'email' => $request->email,
            'first_name' => $request->firstname,
            'last_name' => $request->lastname,
            'member_no' => Auth()->user()->member_id,
            'ref_no' => $cartItemId
        ];
            
            */
            $ep = "https://rewardsbox.perxclm.com/rewardsbox_app/v1/api/v1/?api=uber_purchase&signature=$signature&quantity=$qty&member_no=$membership_id&email=$email&price=$price&phone_no=$phone_no&packagename=$packagename&max_quantity=$max_quantity";
            $data2 = $api->make_curl(str_replace(" ", "%20", $ep));
            $data = json_decode($data2, true);
            //echo $ep;
            //print_r($data);
            if ($data){
                if ($data['status'] == 0){
                    $api->addPointsToUser($cost, $_SESSION['memberid']);
                    echo json_encode(['data' => $data['message'], 'status' => '400', 'failed' => 'Yes'], 200); return;
                    //return;
                }else{
                
                echo json_encode(['data' => $data, 'status' => '200'], 200); return;
                }
                 //return;
            }else{
                 $api->addPointsToUser($cost, $_SESSION['memberid']);
                 echo json_encode(['data' => "no response", 'status' => 'fail'], 200); return;
            //return;
            }
           
        }else{
            $api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'No response from the network2', 'status' => 'fail'], 200); return;
        }
    }else{
            echo json_encode(['data' => 'No response from the network3', 'status' => 'fail'], 200); return;
        }
    
    
}


else if(isset($_POST['api_type']) && $_POST['api_type'] == 'lsl_voucher_redemption'){
    
    $endpoint='https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id='.$_SESSION['memberid'];
    $cost = $_POST['price'];
    if ($api->checkPointBalance($endpoint, $cost) == 1){
        if($api->deductPointsFromUser($cost, $_SESSION['memberid']) == 1){
            //$customer_id = $_POST['customer_id'];
            $member_no = $membership_id;
            $price = $_POST['price'];
            $email = $_POST['email'];
            $signature = $_POST['signature'];
            $partner_name = $_POST['product_category'];
            //$qty = $_POST['qty'];
            //$phone_no = trim($_POST['phone_no']);
            $packagename = str_replace(' ', '%20', $_POST['packagename']);
            // $max_quantity = $_POST['max_quantity']?$_POST['max_quantity']:1;
            $voucher_id = $_POST['voucher_id'];
            $purpose = "lsl_voucher_redemption";
            $partner_id = $_POST['partner_id'];
           // echo json_encode(['data' => $data, 'status' => '200'], 200); return;
           $data = json_decode($api->resolveVoucherTransaction($voucher_id),true);
           //print_r($data);
           $link = $data['message'];
           $customer_details = json_decode($api->makeTemplate($fidelity_middleware_url, $_SESSION['memberid'], $partner_id, $link, $price, $partner_name, $_POST['actual_worth']), true);
           $customer_details['to'] = $email;
           $customer_details['email'] = $email;
          //print_r($customer_details); exit;
           $api->make_post(http_build_query($customer_details));
            echo json_encode(['data' => 'Voucher Redeemed Successfully', 'status' => 200]); //return;
        }else{
            //$api->addPointsToUser($cost, $_SESSION['memberid']);
            echo json_encode(['data' => 'Transaction Failed', 'status' => 400]); return;
        }
    }else{
            echo json_encode(['data' => 'No response from the network3', 'status' => 300]); return;
        }
    
    
}

//https://perxapi.perxclm.com/api/profile?token=%26Hevq$7*hY!%23jYqfT4ORpW%23SxoVh3H8q&membership_id=9999


?>