<?php
include_once('../includes/html_head.php');
include_once('../includes/header.php');
include_once('../includes/ad_banner.php');
include('../services/config_service.php');
ob_start();
if(isset($_GET['id'])){
    $voucher_id = $_GET['id'];
    //echo $voucher_id;

$header = array('content-type: application/json');
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => "https://vouchers.perxclm.com/voucher_service_api.php?api=get_a_voucher&id=$voucher_id",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 600,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_SSL_VERIFYPEER => FALSE,
    CURLOPT_HTTPHEADER => $header,
));
$response = curl_exec($curl);
$res = json_decode($response, true);
    //print_r($res);
$partner_name = explode("-",$res[0]['name']);
    //echo $partner_name[0];
if($voucher_id == 12){
        $voucher_name = $partner_name[0]." Republic";
        $description = "Use it at any Chicken Republic location nationwide to get delicious meals and drinks";
}else{
        $voucher_name = ucfirst($partner_name[0]);
        $description = "";
}
?>

<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!--Inter font-->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Inter&display=swap" rel="stylesheet">
        <!--Mulish font-->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Mulish">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
        <title>Bill Checkout</title>
        <style>
            hr{
                border: 0.3px solid lightgray;
            }
            body{
                font-family: 'Inter';
            }
            p{
                font-weight: 400;
                font-size: 15px;
                line-height: 18px;
            }
        </style>
    </head>

    <body style="background:#fefefe;">

        <div class="container-fluid">
        <div class="col-lg-8 col-md-8 col-sm-12 offset-md-2 my-md-5">
            <div class="row pt-5">
                <div class="col-lg-4 col-md-4 col-sm-12 px-4">
                    <div class="mx-2 my-3"><img class="img-fluid rounded" src="<?php echo $res[0]['partner_logo'] ?>" alt=""></div>
                    <p style="color:#222222;"> *This voucher can only be redeemed for <?php echo $voucher_name;?> services in Nigeria</p>
                </div>
                <div class="col-lg-8 col-md-8 col-sm-12">
                    <div class="mx-3 my-3"> 
                        <div class="py-4 px-4 bg-white">
                            <h3 class="" style="color:#222222; font-size:20px; font-weight:700;">Redeem <?php echo $voucher_name;?>  Voucher</h3>
                            <p class="" style="color:#666666;"></p><?php echo $description; ?></p>
                            <div class="my-3">
                                <label class="my-1">Choose an Amount</label>
                                    <div><select name="" class="form-select"  id="package">
                                        <option value="" selected>Choose Value</option>
                                        <?php foreach($res as $vouch){ ?>
                                        <option class="text-option"  value="<?php echo $vouch['price']; ?>"><?php echo $vouch['name']; ?></option>
                                    <?php   } ?>
                                        </select>
                                    </div>                    
                            </div>
                            <hr>
                            <h4 class="my-2" style="color:#666666;">Recipient</h4>
                            <div class="my-3">
                                <label class="my-1">Email Address</label>
                                <div><input type="tel" class="form-control" placeholder="Enter Email Address" id="rcpt_email" ></div>
                            </div>
                            <div class="my-3">
                                <label class="my-1">Phone Number</label>
                                <div><input type="tel" class="form-control" placeholder="Enter Phone Number" id="rcpt_phone" ></div>
                            </div>
                            <hr>
                            <div class="d-flex justify-content-between">
                                <h4 style="color:#333333 font-size: 15px;">Total</h4>
                                <h2 id="total" style="color:#003B65; font-size: 20px;">0 Points</h2>
                            </div>
                            <hr>

                            <div class="my-5 mb-3 text-center">
                                <button class="btn" id="btn_process" style="background:#03AC50; color:white; padding:16px 50px;width: 312px;height: 50px;text-align: center;">Process Order</button>
                            </div>
                        </div>
                        <div class="my-3">
                            <p>By placing an order, you agree to (provider)’s Terms and Privacy policy</p>
                            <p>Information and update on this order will be sent to your FirstBank registered email address</p>
                        </div>    
                    </div>
                </div>
            </div>
        </div>
    </div> 
        </div>
   

       
    <?php  }else{
        header("Location: vouchers.php");
    } ?>
        
      

        
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.2/jquery.min.js"></script>
    <script>
            
            $('#package').change(function(){
                var price = document.getElementById("package").value;
                document.getElementById("total").innerHTML = price + " Points";
            })
        
    </script>
</body>

</html>

<?php 
    include_once('../includes/footer.php');
?>
